<?php
/*=================================================
   charset=utf-8
   Project:	phpGedView
   File:	facts.da.php
   Author:	John Finlay
   Translation:	Arne Eckmann
   Comments:	Defines an array of GEDCOM codes and the danish name facts that they represent.
   Change Log:	8/5/02 - File Created
===================================================*/
# $Id: facts.da.php,v 1.20 2004/12/03 17:50:03 yalnifj Exp $
if (preg_match("/facts\...\.php$/", $_SERVER["PHP_SELF"])>0) {
	print "You cannot access a language file directly.";
	exit;
}
// -- Define a fact array to map Gedcom tags with their danish values
$factarray["ABBR"] = "Forkortelse";
$factarray["ADDR"] = "Adresse";
$factarray["ADR1"] = "Adresse 1";
$factarray["ADR2"] = "Adresse 2";
$factarray["ADOP"] = "Adoption";
$factarray["AFN"]  = "Slægts-filne. (Mormoner)";
$factarray["AGE"]  = "Alder";
$factarray["AGNC"] = "Agentur";
$factarray["ALIA"] = "Alias";
$factarray["ANCE"] = "Forfædre";
$factarray["ANCI"] = "Aneforbindelse";
$factarray["ANUL"] = "Annulleret ægteskab";
$factarray["ASSO"] = "Tilknyttede";
$factarray["AUTH"] = "Forfatter";
$factarray["BAPL"] = "Dåb (Mormoner)";
$factarray["BAPM"] = "Dåb";
$factarray["BARM"] = "Bar Mitzvah, Jødisk seremoni, drenge";
$factarray["BASM"] = "Bas Mitzvah, Jødisk seremoni, piger";
$factarray["BIRT"] = "Fødsel";
$factarray["BLES"] = "Velsignelse";
$factarray["BLOB"] = "Binær dataobjekt";
$factarray["BURI"] = "Begravelse";
$factarray["CALN"] = "Kaldenummer";
$factarray["CAST"] = "Kaste / Social status";
$factarray["CAUS"] = "Dødsårsag";
$factarray["CENS"] = "Folketælling";
$factarray["CHAN"] = "Seneste ændring";
$factarray["CHAR"] = "Karaktersæt";
$factarray["CHIL"] = "Barn";
$factarray["CHR"]  = "Barnedåb";
$factarray["CHRA"] = "Voksendåb";
$factarray["CITY"] = "By";
$factarray["CONF"] = "Konfirmation";
$factarray["CONL"] = "Konfirmation (Mormoner)";
$factarray["COPR"] = "Ophavsret";
$factarray["CORP"] = "Corporation / Firma";
$factarray["CREM"] = "Kremering";
$factarray["CTRY"] = "Land";
$factarray["DATE"] = "Dato";
$factarray["DATA"] = "Data";
$factarray["DEAT"] = "Dødsfald";
$factarray["DESC"] = "Efterkommere";
$factarray["DESI"] = "Efterkommer forbindelse";
$factarray["DEST"] = "Destination";
$factarray["DIV"]  = "Skilsmisse";
$factarray["DIVF"] = "Skilsmissebegæring";
$factarray["DSCR"] = "Beskrivelse";
$factarray["EDUC"] = "Uddannelse";
$factarray["EMIG"] = "Udvandring";
$factarray["ENDL"] = "Gave (Mormoner)";
$factarray["ENGA"] = "Forlovelse";
$factarray["EVEN"] = "Begivenhed";
$factarray["FAM"]  = "Familie";
$factarray["FAMC"] = "Familie som barn";
$factarray["FAMF"] = "Familiefile (Mormoner)";
$factarray["FAMS"] = "Familie som partner";
$factarray["FCOM"] = "Første altergang";
$factarray["FILE"] = "Ekstern fil:";
$factarray["FORM"] = "Format:";
$factarray["GIVN"] = "Fornavn(e)";
$factarray["GRAD"] = "Eksamen";
$factarray["IDNO"] = "Identifikationsnummer";
$factarray["IMMI"] = "Indvandring";
$factarray["LEGA"] = "Arving";
$factarray["MARB"] = "Lysning";
$factarray["MARC"] = "Ægteskabskontrakt";
$factarray["MARL"] = "Ægteskabsbrev";
$factarray["MARR"] = "Ægteskab";
$factarray["MARS"] = "Ægteskabs-aftale";
$factarray["MEDI"]	= "Mediatype";
$factarray["NAME"] = "Navn";
$factarray["NATI"] = "Nationalitet";
$factarray["NATU"] = "Statsborgerskab";
$factarray["NCHI"] = "Antal børn";
$factarray["NICK"] = "Øge/kæle -navn";
$factarray["NMR"]  = "Antal ægteskaber";
$factarray["NOTE"] = "Notat";
$factarray["NPFX"] = "Præfiks";
$factarray["NSFX"] = "Postfiks";
$factarray["OBJE"] = "Multimedia objekt";
$factarray["OCCU"] = "Erhverv";
$factarray["ORDI"] = "Ordinance";
$factarray["ORDN"] = "Ordination";
$factarray["PAGE"] = "Citations detaljer";
$factarray["PEDI"] = "Slægtsgren";
$factarray["PLAC"] = "Stednavn";
$factarray["PHON"] = "Tlf.";
$factarray["POST"] = "Postnummer";
$factarray["PROB"] = "Skifte";
$factarray["PROP"] = "Ejendom";
$factarray["PUBL"] = "Publikation";
$factarray["QUAY"] = "Datakvalitet";
$factarray["REPO"] = "Opbevaringssted";
$factarray["REFN"] = "Referencenummer";
$factarray["RELA"]	= "Tilhørsforhold";
$factarray["RELI"] = "Religion";
$factarray["RESI"] = "Bopæl";
$factarray["RESN"] = "Restriction";
$factarray["RETI"] = "Pensionering";
$factarray["RFN"]  = "Record fil nummer";
$factarray["RIN"]  = "Record ID nummer";
$factarray["ROLE"] = "Rolle";
$factarray["SEX"]  = "Køn";
$factarray["SLGC"] = "Barne-forlovelse (Mormoner)";
$factarray["SLGS"] = "Børne-ægteskab (Mormoner)";
$factarray["SOUR"] = "Kilde";
$factarray["SPFX"] = "Efternavns præfiks";
$factarray["SSN"]  = "Person-nummer";
$factarray["STAE"] = "Stat/Region";
$factarray["STAT"] = "Status";
$factarray["SUBM"] = "Submitter";
$factarray["SUBN"] = "Submission";
$factarray["SURN"] = "Efternavn";
$factarray["TEMP"] = "Tempel (Mormoner)";
$factarray["TEXT"] = "Tekst";
$factarray["TIME"] = "Tidspunkt";
$factarray["TITL"] = "Titel";
$factarray["TYPE"] = "Type";
$factarray["WILL"] = "Testamente";
$factarray["_EMAIL"] = "E-mail adresse";
$factarray["EMAIL"] = "E-mail adresse";
$factarray["_TODO"] = "Mangler at blive gjort";
$factarray["_UID"] = "Universal Identifikator";
$factarray["_PGVU"]	= "Senest ændret af";

// These facts are specific to gedcom exports from Family Tree Maker
$factarray["_MDCL"] = "Helbred";
$factarray["_DEG"] = "Akademisk grad";
$factarray["_MILT"] = "Militærtjeneste";
$factarray["_SEPR"] = "Separeret";
$factarray["_DETS"] = "Samlevers død";
$factarray["CITN"] = "Statsborgerskab";
$factarray["_FA1"] = "Fact 1";
$factarray["_FA2"] = "Fact 2";
$factarray["_FA3"] = "Fact 3";
$factarray["_FA4"] = "Fact 4";
$factarray["_FA5"] = "Fact 5";
$factarray["_FA6"] = "Fact 6";
$factarray["_FA7"] = "Fact 7";
$factarray["_FA8"] = "Fact 8";
$factarray["_FA9"] = "Fact 9";
$factarray["_FA10"] = "Fact 10";
$factarray["_FA11"] = "Fact 11";
$factarray["_FA12"] = "Fact 12";
$factarray["_FA13"] = "Fact 13";
$factarray["_MREL"] = "Relation til moder";
$factarray["_FREL"] = "Relation til fader";
$factarray["_FA1"] = "Ægteskabs facts";
$factarray["_MSTAT"] = "Ægteskablig startstatus";
$factarray["_MEND"] = "Ægteskablig slutstatus";
$factarray["FAX"] = "FAX";
$factarray["FACT"] = "Fakta";
$factarray["WWW"] = "Internet hjemmeside";
$factarray["MAP"] = "Landkort";
$factarray["LATI"] = "Breddegrad";
$factarray["LONG"] = "Længdegrad";
$factarray["FONE"] = "Fonetisk";
$factarray["ROMN"] = "Latiniseret";
$factarray["_NAME"] = "Korrespondencenavn";
$factarray["URL"] = "Internetadresse";
$factarray["_HEB"] = "Hebræisk";
$factarray["_SUBQ"]= "Kort version";
$factarray["_BIBL"] = "Bibliografi";

// These facts are specific to gedcom exports from Brothers Keeper
// Other common customized facts
$factarray["_ADPF"] = "Adopteret af far";
$factarray["_ADPM"] = "Adopteret af mor";
$factarray["_AKAN"] = "Også kendt som";
$factarray["_AKA"] = "Også kendt som";
$factarray["_BRTM"] = "Jødisk omskæring";
$factarray["_EYEC"] = "Øjenfarve";
$factarray["_WEIG"] = "Vægt";
$factarray["_YART"] = "Yartzeit, Jødisk fødselsdag";
$factarray["_MARNM"]	= "Giftenavn";
$factarray["_STAT"]	= "Ægteskablig status";
$factarray["COMM"]	= "Kommentar";
$factarray["_COML"] = "Samlevende";
$factarray["_MILI"] = "Militærtjeneste";
$factarray["_NMR"]	= "Ugift";
$factarray["_NMR "] = "Ugift";
$factarray["_NLIV"] = "Lever ikke";
$factarray["_HAIR"] = "Hårfarve";
$factarray["_HEIG"] = "Højde";
$factarray["_INTE"] = "Urne-nedsættelse";
$factarray["_MARI"] = "Ægteskabs-intension";
$factarray["_MBON"] = "Ægteskabs-løfte";
$factarray["_MEDC"] = "Helbred";
$factarray["_FNRL"] = "Begravelse";
$factarray["_NMAR"] = "Aldrig gift";
$factarray["_PRMN"] = "Permanent nummer";

if (file_exists($PGV_BASE_DIRECTORY . "languages/facts.da.extra.php")) require $PGV_BASE_DIRECTORY . "languages/facts.da.extra.php";

?>