<?php
/*=================================================
   charset=utf-8
   Project:	phpGedView
   File:	facts.es-ar.php
   Author:	John Finlay
   Comments:	Defines an array of GEDCOM codes and the argentinian spanish name facts that they represent.
   Change Log:	8/5/02 - File Created
===================================================*/

// -- Define a fact array to map Gedcom tags with their Spanish values
$factarray["ABBR"] = "Abreviatura";
$factarray["ADDR"] = "Dirección";
$factarray["ADR1"] = "Dirección 1";
$factarray["ADR2"] = "Dirección 2";
$factarray["ADOP"] = "Adopción";
$factarray["AFN"] = "Ancestral File Number (AFN)";
$factarray["AGE"] = "Edad";
$factarray["AGNC"] = "Agencia";
$factarray["ALIA"] = "Alias";
$factarray["ANCE"] = "Antepasados";
$factarray["ANCI"] = "Antepasados de Interés";
$factarray["ANUL"] = "Anulación";
$factarray["ASSO"] = "Asociados";
$factarray["AUTH"] = "Autor";
$factarray["BAPL"] = "Bautismo SUD";
$factarray["BAPM"] = "Bautismo";
$factarray["BARM"] = "Bar Mitzvah";
$factarray["BASM"] = "Bas Mitzvah";
$factarray["BIRT"] = "Nacimiento";
$factarray["BLES"] = "Bendición";
$factarray["BLOB"] = "Objeto de Datos Binarios";
$factarray["BURI"] = "Entierro";
$factarray["CALN"] = "Referencia";
$factarray["CAST"] = "Status Social";
$factarray["CAUS"] = "Causa de la muerte";
$factarray["CENS"] = "Censo";
$factarray["CHAN"] = "Último cambio";
$factarray["CHAR"] = "Juego de Caracteres";
$factarray["CHIL"] = "Hijo";
$factarray["CHR"] = "Bautismo";
$factarray["CHRA"] = "Bautismo en edad adulta";
$factarray["CITY"] = "Ciudad";
$factarray["CONF"] = "Confirmación";
$factarray["CONL"] = "Confirmación SUD";
$factarray["COPR"] = "Copyright";
$factarray["CORP"] = "Corporación / Compañía";
$factarray["CREM"] = "Cremación";
$factarray["CTRY"] = "País";
$factarray["DATA"] = "Datos";
$factarray["DATE"] = "Fecha";
$factarray["DEAT"] = "Defunción";
$factarray["DESC"] = "Descendientes";
$factarray["DESI"] = "Descendientes de Interés";
$factarray["DEST"] = "Destino";
$factarray["DIV"] = "Divorcio";
$factarray["DIVF"] = "Divorcio Archivado";
$factarray["DSCR"] = "Descripción";
$factarray["EDUC"] = "Educación";
$factarray["EMIG"] = "Emigración";
$factarray["ENDL"] = "Dotación SUD";
$factarray["ENGA"] = "Compromiso matrimonio";
$factarray["EVEN"] = "Evento";
$factarray["FAM"] = "Familia";
$factarray["FAMC"] = "Familia como hijo";
$factarray["FAMF"] = "Archivo Familia";
$factarray["FAMS"] = "Familia como cónyuge";
$factarray["FCOM"] = "Primera Comunión";
$factarray["FILE"] = "Archivo Externo";
$factarray["FORM"] = "Formato";
$factarray["GIVN"] = "Primer(os) nombre(s)";
$factarray["GRAD"] = "Graduación";
$factarray["IDNO"] = "Numero de Identificación";
$factarray["IMMI"] = "Inmigración";
$factarray["LEGA"] = "Herencia";
$factarray["MARB"] = "Amonestaciones matrimoniales";
$factarray["MARC"] = "Contrato Matrimonial";
$factarray["MARL"] = "Licencia Matrimonial";
$factarray["MARR"] = "Matrimonio";
$factarray["MARS"] = "Marriage Settlement";
$factarray["NAME"] = "Nombre";
$factarray["NATI"] = "Nacionalidad";
$factarray["NATU"] = "Naturalización";
$factarray["NCHI"] = "Cantidad de Hijos";
$factarray["NICK"] = "Apodo";
$factarray["NMR"] = "Cantidad de matrimonios";
$factarray["NOTE"] = "Nota";
$factarray["NPFX"] = "Prefijo";
$factarray["NSFX"] = "Sufijo";
$factarray["OBJE"] = "Objeto Multimedia";
$factarray["OCCU"] = "Ocupación";
$factarray["ORDI"] = "Ordenanza";
$factarray["ORDN"] = "Ordenación";
$factarray["PAGE"] = "Detalles";
$factarray["PEDI"] = "Antepasados";
$factarray["PLAC"] = "Lugar";
$factarray["PHON"] = "Telef.";
$factarray["POST"] = "Código Postal";
$factarray["PROB"] = "Certificado de Testamento";
$factarray["PROP"] = "Propiedad";
$factarray["PUBL"] = "Publicación";
$factarray["QUAY"] = "Calidad de los datos";
$factarray["REPO"] = "Archivo";
$factarray["REFN"] = "Número de referencia";
$factarray["RELI"] = "Religión";
$factarray["RESI"] = "Residencia";
$factarray["RESN"] = "Restricción";
$factarray["RETI"] = "Jubilación";
$factarray["RFN"] = "Número del archivo de registro";
$factarray["RIN"] = "Número del registro ID";
$factarray["ROLE"] = "Rol";
$factarray["SEX"] = "Sexo";
$factarray["SLGC"] = "Sellam. Hijo SUD";
$factarray["SLGS"] = "Sellam. Cónyuge SUD";
$factarray["SOUR"] = "Fuente";
$factarray["SPFX"] = "Prefijo del Apellido";
$factarray["SSN"] = "Número de Seguridad Social";
$factarray["STAE"] = "Estado";
$factarray["STAT"] = "Status";
$factarray["SUBM"] = "Remitente";
$factarray["SUBN"] = "Envío";
$factarray["SURN"] = "Apellido";
$factarray["TEMP"] = "Templo";
$factarray["TEXT"] = "Texto";
$factarray["TIME"] = "Hora";
$factarray["TITL"] = "Título";
$factarray["WILL"] = "Testamento";
$factarray["TYPE"] = "Tipo";
$factarray["_EMAIL"] = "Email";
$factarray["EMAIL"] = "Dirección de correo electrónico";
$factarray["_TODO"] = "Ítem a realizar";
$factarray["_UID"]	= "Identificador Universal";
$factarray["_PGVU"]	= "Última modificación realizada por";
// These facts are specific to gedcom exports from Family Tree Maker
$factarray["_MDCL"] = "Médico";
$factarray["_DEG"] = "Grado";
$factarray["_MILT"] = "Servicio Militar";
$factarray["_SEPR"] = "Separado";
$factarray["_DETS"] = "Fallecimiento de un cónyuge";
$factarray["CITN"] = "Ciudadanía";
$factarray["_FA1"]	= "Acontecimiento 1";
$factarray["_FA2"]	= "Acontecimiento 2";
$factarray["_FA3"]	= "Acontecimiento 3";
$factarray["_FA4"]	= "Acontecimiento 4";
$factarray["_FA5"]	= "Acontecimiento 5";
$factarray["_FA6"]	= "Acontecimiento 6";
$factarray["_FA7"]	= "Acontecimiento 7";
$factarray["_FA8"]	= "Acontecimiento 8";
$factarray["_FA9"]	= "Acontecimiento 9";
$factarray["_FA10"] = "Acontecimiento 10";
$factarray["_FA11"] = "Acontecimiento 11";
$factarray["_FA12"] = "Acontecimiento 12";
$factarray["_FA13"] = "Acontecimiento 13";
$factarray["_MREL"] = "Parentesco con la madre";
$factarray["_FREL"] = "Parentesco con el padre";
$factarray["_MSTAT"] = "Estado de comienzo de matrimonio";
$factarray["MAP"] = "Mapa";
$factarray["_NAME"] = "Nombre de correo";
$factarray["_BIBL"] = "Bibliografía";
$factarray["_SUBQ"]= "Versión corta";
$factarray["_HEB"] = "Hebreo";
$factarray["URL"] = "Dirección URL";
$factarray["ROMN"] = "Romanizado";
$factarray["FONE"] = "Fonética";
$factarray["LONG"] = "Longitud";
$factarray["LATI"] = "Latitud";
$factarray["WWW"] = "Página Web";
$factarray["FACT"] = "Evento";
$factarray["_MEND"] = "Estado de fin de matrimonio";
$factarray["_ADPF"]	= "Adoptado por el padre";
$factarray["_ADPM"]	= "Adoptado por la madre";
$factarray["_AKAN"]	= "También conocido como";
$factarray["_AKA"]	= "También conocido como";
$factarray["_EYEC"]	= "Color de ojos";
$factarray["_FNRL"]	= "Funeral";
$factarray["_HAIR"]	= "Color de cabello";
$factarray["_HEIG"]	= "Altura";
$factarray["_INTE"] = "Inhumado";
$factarray["_MARI"]	= "Intención de casamiento";
$factarray["_MBON"] = "Compromiso matrimonial";
$factarray["_MEDC"]	= "Condición médica";
$factarray["_MILI"]	= "Militar";
$factarray["_NMR "]	= "Soltero";
$factarray["_NLIV"]	= "Fallecido";
$factarray["_NMAR"]	= "Nunca se casó";
$factarray["_PRMN"] = "Número permanente";
$factarray["_WEIG"]	= "Peso";
$factarray["_MARNM"]	= "Nombre de matrimonio";
$factarray["_STAT"]	= "Estado de matrimonio";
$factarray["COMM"]	= "Comentario";

if (file_exists($PGV_BASE_DIRECTORY . "languages/facts.es.extra.php")) require $PGV_BASE_DIRECTORY . "languages/facts.es.extra.php";

?>
