<?php
/**
 * French Help Text File
 *
 * This file contains the French text for the PGV Help system.
 *
 * @package PhpGedView
 * @subpackage Languages
 * @version $Id: help_text.fr.php,v 1.17 2004/11/05 19:10:23 opus27 Exp $
 */
if (preg_match("/help_text\...\.php$/", $_SERVER["PHP_SELF"])>0) {
  print "You cannot access a language file directly.";
  exit;
}

//-- GENERAL
$pgv_lang["help_header"]                = "<span class=\"error\"><small>Avertissement : certains textes d'aide n'ont pas encore été traduits en français.</small></span><br/><br/>Aide sur : ";
$pgv_lang["privacy_error_help"]         = "<b>Détails privés</b><br /><br />Plusieurs raisons possibles à ce message :<dl><dt>1. Vous n'êtes pas inscrit sur ce site</dt><dd>Les détails sur les personnes vivantes sont masqués.<br />Les visiteurs non authentifiés ont accès aux fiches des personnes décédées uniquement.<br />Vous pouvez faire une demande de compte.</dd><dt>2. Vous disposez d'un compte et d'un mot de passe</dt><dd>mais vous avez oublié de vous connecter.</dd><dt>3. Information marquée 'Privé'</dt><dd>La personne sélectionnée a demandé ce verrouillage à l'administrateur<br />Dans ce cas, seul l'administrateur a l'accès aux détails sur cette personne.</dd><dt>4. Vous n'avez pas de lien direct</dt><dd>Même pour les utilisateurs déclarés et connectés, certaines informations ne sont accessibles qu'aux proches, suivant le degré fixé par l'administrateur.<br />Exemples:<br />Pour le degré <b>1</b>, vous verrez les détails de votre propre famille, père, mère, frère, sœur (mais pas leurs conjoints ni vos neveux et nièces)<br />Pour le degré <b>2</b>, vous verrez en plus les conjoints de vos frères/sœurs et vos neveux/nièces.<br />Plus le degré est élevé, plus vous voyez de proches.<br />Si vous pouvez justifier d'un lien de parenté, contacter l'administrateur.</dd></dl>";
$pgv_lang["more_help"]                  = "<br />Pour une aide plus détaillée, vérifier l'option <b>#pgv_lang[show_context_help]#</b> dans le menu <b>#pgv_lang[page_help]#</b>, et suivre les liens <b>#pgv_lang[qm]#</b> de la page.<br />";
$pgv_lang["more_config_help"]           = "<br /><b>Aide détaillée</b><br />Une aide plus détaillée est disponible.<br />Suivre les liens <b>?</b> de la page.<br /><br />";
$pgv_lang["start_admin_help"]           = "+++ Début du complément d'informations de l'administrateur +++";
$pgv_lang["end_admin_help"]             = "--- Fin du complément d'informations de l'administrateur ---";
$pgv_lang["multiple_help"]              = "<center>--- Aide commune à plusieurs pages ---</center>";
$pgv_lang["header_general_help"]        = "<div class=\"name_head\"><center><b>Informations générales</b></center></div><br />";
$pgv_lang["best_display_help"]          = "~#pgv_lang[resolution]#~<br />PhpGedView est prévu pour une taille d'écran de 1024x768 pixels.<br />Il s'agit de la valeur minimum pour que tout s'affiche correctement.<br />Avec une résolution inférieure, par exemple 800x600, vous devrez souvent utiliser les ascenceurs (scrolling).<br />";
$pgv_lang["preview_help"]               = "~#pgv_lang[print]#~<br />Le lien <b>#pgv_lang[print_preview]#</b> en bas de chaque page permet une impression plus propre en n'affichant pas les menus, les liens, les boutons d'aide...<br /><br />Le lien <b>#pgv_lang[print_preview]#</b> devient alors <b>#pgv_lang[print]#</b>, et affiche votre menu d'impression habituel.<br />Après l'impression, utilisez simplement le bouton <b>Retour</b> de votre navigateur.<br /><br /><b>Note :</b><br />En mode <b>#pgv_lang[print_preview]#</b> la plupart des liens sont cachés. Les liens sur les boîtes et les personnes restent néanmoins actifs.<br />";
$pgv_lang["readme_help"]                = "<center>Voir le fichier <a href=\"readme.txt\" target=\"_blank\"><b>Readme.txt</b></a> pour davantage d'informations.</center>";
$pgv_lang["is_user_help"]               = "--- Texte identique à l'aide visiteur. --- <br />--- Pour économiser de la place, il n'y a pas de texte spécial administrateur ici. ---";
$pgv_lang["edit_raw_gedcom_help"]       = "~#pgv_lang[edit_raw]#~<br /><br />En cliquant sur ce lien, une nouvelle fenêtre s'ouvre permettant la <B>modification</B> de l'enregistrement GEDCOM.<br />Respecter impérativement la syntaxe GEDCOM 5.5 car aucun contrôle n'est réalisé.<br />Les modifications effectuées seront soumises à l'approbation de l'administrateur.";


//-- Pages Help-messages
//-- Index-page
$pgv_lang["index_help"]                 = "~#pgv_lang[welcome_page]#~<br />Bienvenue sur la page d'accueil du fichier <a href=\"#def_gedcom\">GEDCOM</a> sélectionné. A tout moment vous pouvez revenir sur cette page par le bouton <b>#pgv_lang[welcome_page]#</b> du menu principal. Si plusieurs fichiers GEDCOM sont disponibles, faîtes-votre choix dans le menu déroulant<br /><br /><b>Ici vous trouverez de l'aide sur:</b><br /><li><a href=\"#header_general\">Informations générales</a><li><a href=\"#header\">#pgv_lang[header]#</a><li><a href=\"#menu\">Menus</a><li><a href=\"#index_portal\">#pgv_lang[welcome_page]#</a><li><a href=\"#def\">Définitions</a><br /><br />La version #VERSION# de <a href=\"#def_pgv\">PhpGedView</a> apporte des améliorations sur la présentation, les menus, la page d'accueil, et de nombreuses fonctions ont été revues.<br /><br />";

//-- Index-page Header
$pgv_lang["header_help"]                = "<div class=\"name_head\"><center><b>#pgv_lang[header]#</b></center></div><br />En haut de chaque page s'affichent des boutons et liens utilisables à tout moment.<br />La présentation du site étant personnalisable, le bandeau est variable selon le <a href=\"#def_theme\">thème</a> choisi.<br /><br /><b>Voici la liste des liens que vous pourrez y trouver :</b><li><a href=\"#header_search\">#pgv_lang[search]#</a><li><a href=\"#header_lang_select\">#pgv_lang[change_lang]#</a><li><a href=\"#header_user_links\">#pgv_lang[login]#</a><li><a href=\"#header_favorites\">#pgv_lang[gedcom_favorites]#</a><li><a href=\"#header_theme\">#pgv_lang[change_theme]#</a><br />";
$pgv_lang["header_search_help"]         = "~#pgv_lang[header]# «#pgv_lang[search]#»~<br />Cette boîte de recherche est petite mais puissante.<br />Laissez PhpGedView chercher pour vous.<br />Vous trouverez une aide détaillée sur la page de recherche.<br />";
$pgv_lang["header_lang_select_help"]    = "~#pgv_lang[header]# «#pgv_lang[change_lang]#»~<br />PhpGedView est multi-langues. Par défaut il démarre dans la langue de votre navigateur.<br />Vous pouvez changer de langue en utilisant le <B>menu déroulant</B> ou bien la liste des <B>drapeaux</B> en couleur.<br />";
$pgv_lang["header_user_links_help"]     = "~#pgv_lang[header]# «#pgv_lang[login]#»~<br />Cette liste de liens reste présente au même endroit sur toutes les pages (sauf si vous changez le thème).<br />Non connecté, vous voyez uniquement le lien <B>#pgv_lang[login]#</B>.<br />Connecté, vous voyez <b>#pgv_lang[logged_in_as]#</b>. Ce lien vous donne l'accès à votre compte. Cliquer sur <B>#pgv_lang[logout]#</B> pour vous déconnecter.<br />Si vous avez les droits d'administrateur, le lien <B>#pgv_lang[admin]#</B> s'affiche.<br />";
$pgv_lang["header_favorites_help"]      = "~#pgv_lang[header]# «#pgv_lang[gedcom_favorites]#»~<br />Cette liste affiche les liens favoris que vous avez sélectionnés. S'y ajoutent les favoris enregistrés pour ce fichier GEDCOM par l'administrateur.<br />Ces liens vous offrent l'accès direct à la page détaillée de l'individu choisi.<br />Pour savoir comment ajouter un favori, consulter l'aide sur la page <B>#pgv_lang[my_favorites]#</B>.<br />";
$pgv_lang["header_theme_help"]          = "~#pgv_lang[header]# «#pgv_lang[change_theme]#»~<br />Si l'administrateur l'autorise, vous pouvez choisir votre thème dans une liste, et modifier ainsi l'affichage du site. Si vous êtes connecté, ce thème sera mémorisé et deviendra votre thème par défaut.<br />";

//-- Index-page Menu
$pgv_lang["menu_help"]                  = "<div class=\"name_head\"><center><b>Menus</b></center></div><br />En passant votre souris sur l'icone d'un menu, un sous-menu s'affiche.<br />Un clic vous emmène sur la page du premier sous-menu.<br /><br />Liste des menus disponibles:</b><br /><li><a href=\"#menu_fam\">#pgv_lang[welcome_page]#</a><br /><li><a href=\"#menu_myged\">#pgv_lang[mygedview]#</a><br /><li><a href=\"#menu_charts\">#pgv_lang[charts]#</a><br /><li><a href=\"#menu_lists\">#pgv_lang[lists]#</a><br /><li><a href=\"#menu_annical\">#pgv_lang[anniversary_calendar]#</a><br /><li><a href=\"#menu_clip\">#pgv_lang[clippings_cart]#</a><br /><li><a href=\"#menu_search\">#pgv_lang[search]#</a><br /><li><a href=\"#menu_rslog\">#pgv_lang[research_log]#</a><br /><li><a href=\"#menu_help\">#pgv_lang[page_help]#</a><br /><br />";
$pgv_lang["menu_famtree_help"]          = "~#pgv_lang[menu]# «#pgv_lang[welcome_page]#»~<br />Tous les fichiers GEDCOM disponibles sur le site sont présentés ici. Chacun ayant sa propre présentation.<br />Quand le site ne présente qu'un seul fichier GEDCOM, ce sous-menu est vide.<br /><br />";
$pgv_lang["menu_myged_help"]            = "~#pgv_lang[menu]# «#pgv_lang[mygedview]#»~<br />Si vous êtes connecté, ce menu présente les choix suivants :<dl><dt>#pgv_lang[mygedview]#</dt><dd>Vous renvoie sur votre propre #pgv_lang[welcome_page]#.</dd><dt>#pgv_lang[editowndata]#</dt><dd>Pour modifier vos paramètres personnels.</dd><dt>#pgv_lang[my_pedigree]#</dt><dd>Si vous avez choisi un #pgv_lang[root_person]# pour ce fichier GEDCOM, son #pgv_lang[index_header]# s'affichera</dd><dt>#pgv_lang[my_indi]#</dt><dd>Lien vers votre page individuelle, où se trouvent les données de votre propre famille.</dd></dl>";
$pgv_lang["menu_charts_help"]           = "~#pgv_lang[menu]# «#pgv_lang[charts]#»~<br />Liste des diagrammes disponibles :<dl><dt><a href=\"?help=help_pedigree.php\">#pgv_lang[index_header]#</a></dt><dd>Affiche les parents de l'individu racine du fichier GEDCOM. Vous pouvez le modifier si vous êtes connecté.</dd><dt><a href=\"?help=help_descendancy.php\">#pgv_lang[descend_chart]#</a></dt><dd>Même principe. Affiche la liste des enfants.</dd><dt><a href=\"?help=help_timeline.php\">#pgv_lang[timeline_chart]#</a></dt><dd>Affiche les évènements d'une ou plusieurs personnes sur une même ligne de temps, permettant de les comparer.</dd><dt><a href=\"?help=help_relationship.php\">#pgv_lang[relationship_chart]#</a></dt><dd>Recherche du lien de parenté entre deux personnes</dd><dt><a href=\"?help=help_ancestry.php\">#pgv_lang[ancestry_chart]#</a></dt><dd>Présentation sous forme #pgv_lang[ancestry_list]# ou #pgv_lang[ancestry_booklet]#</dd><dt><a href=\"?help=help_fanchart.php\">#pgv_lang[fan_chart]#</a></dt><dd>Présentation en roue ou en éventail.</dd></dl>";
$pgv_lang["menu_lists_help"]            = "~#pgv_lang[menu]# «#pgv_lang[lists]#»~<br />Les choix suivants sont présentés dans ce menu:<dl><dt><a href=\"?help=help_indilist.php\">#pgv_lang[individual_list]#</a></dt><dd>Présentation alphabétique des individus du fichier GEDCOM.</dd><dt><a href=\"?help=help_famlist.php\">#pgv_lang[family_list]#</a></dt><dd>Présentation alphabétique des familles du fichier GEDCOM.</dd><dt><a href=\"?help=help_sourcelist.php\">#pgv_lang[source_list]#</a></dt><dd>Liste des sources d'informations citées dans ce fichier GEDCOM.</dd><dt><a href=\"?help=help_placelist.php\">#pgv_lang[place_list]#</a></dt><dd>Liste par lieux sur deux colonnes : à gauche les individus et à droite les familles.</dd><dt><a href=\"?help=help_medialist.php\">#pgv_lang[media_list]#</a></dt><dd>Cette option ne s'affiche que si l'administrateur l'a autorisé.<br />Liens vers tous les OBJEts MultiMedia de ce fichier GEDCOM.</dd></dl>";
$pgv_lang["menu_annical_help"]          = "~#pgv_lang[menu]# «#pgv_lang[anniversary_calendar]#»~<br />Affiche les évènements ayant eu lieu à une certaine date. Choix entre une présentation par jour (ex: <tt>5 Avril</tt>), par mois (ex: <tt>Avril</tt>>) ou par année (ex: <tt>1999</tt>>).<dl><dt>#pgv_lang[viewday]#</dt><dd>Affichage du calendrier #pgv_lang[on_this_day]#.</dd><dt>#pgv_lang[viewmonth]#</dt><dd>Affichage du calendrier #pgv_lang[in_this_month]#.</dd><dt>#pgv_lang[viewyear]#</dt><dd>Affichage du calendrier #pgv_lang[in_this_year]#.</dd></dl>";
$pgv_lang["menu_clip_help"]             = "~#pgv_lang[menu]# «#pgv_lang[clippings_cart]#»~<br />Si l'administrateur l'a autorisé, ce menu s'affiche sur le bandeau.<br />Un panier vous permet de collecter des informations.<br /><br />";
$pgv_lang["menu_search_help"]           = "~#pgv_lang[menu]# «#pgv_lang[search]#»~<br />Accès à une page de recherche très puissante.<br /><br />";
$pgv_lang["menu_rslog_help"]            = "~#pgv_lang[menu]# «#pgv_lang[research_log]#»~<br />Cette option doit être autorisée par l'aministrateur.<br />Permet de conserver un journal de vos recherches.<br />Partageable avec d'autres utilisateurs.<br />";
$pgv_lang["menu_help_help"]             = "~#pgv_lang[menu]# «#pgv_lang[page_help]#»~<br />#pgv_lang[help_help_items]#";

//-- Index-page Portal
$pgv_lang["index_portal_head_help"]     = "<div class=\"name_head\"><center><b>#pgv_lang[welcome_page]#</b></center></div><br />";
$pgv_lang["index_portal_help"]          = "La #pgv_lang[welcome_page]# présente plusieurs blocs séparés, et elle est personnalisable. Ainsi, chaque fichier GEDCOM de ce site peut avoir sa propre #pgv_lang[welcome_page]#.<br /><br />Voici la liste des blocs disponibles :<ul><li><a href=\"#index_welcome\">#pgv_lang[welcome_block]#</a><li><a href=\"#index_login\">#pgv_lang[login_block]#</a><li><a href=\"#index_events\">#pgv_lang[upcoming_events_block]#</a><li><a href=\"#index_onthisday\">#pgv_lang[todays_events_block]#</a><li><a href=\"#index_favorites\">#pgv_lang[gedcom_favorites_block]#</a><li><a href=\"#index_stats\">#pgv_lang[gedcom_stats_block]#</a><li><a href=\"#index_media\">#pgv_lang[random_media_block]#</a><li><a href=\"#index_loggedin\">#pgv_lang[logged_in_users_block]#</a><li><a href=\"#gedcom_news\">#pgv_lang[gedcom_news_block]#</a><li><a href=\"#recent_changes\">#pgv_lang[recent_changes_block]#</a></ul>";
$pgv_lang["index_welcome_help"]         = "~#pgv_lang[welcome_block]#~<br />Ce bloc affiche :<br />Le fichier GEDCOM actif, et suivant la configuration : la date, l'heure et le compteur de visites.<br />Le compteur ne fonctionne que sur les pages #pgv_lang[welcome_page]# et 'Individu'. Il enregistre le nombre d'accès (<i>hits</i>) à ces pages.<br />Le compteur ne vérifiée pas la provenance des visites, donc quand un même visiteur revisite une page aprèsThe counter does not check the URL of a visitor, so when somebody revisits a page after some time, it will be counted as another Hit.<br />";
$pgv_lang["index_login_help"]           = "~#pgv_lang[login_block]#~<br />Vous n'aurez accès aux informations protégées qu'une fois connecté.<br />Pour cela, entrez votre <b>nom d'utilisateur</b> et votre <b>mot de passe</b>.<br /><br />#pgv_lang[new_password_help]#<br /><br />";
$pgv_lang["index_events_help"]          = "~#pgv_lang[upcoming_events_block]#~<br />This block show you anniversaries of events from the GEDCOM that are coming up in the next month.<br />";
$pgv_lang["index_onthisday_help"]       = "~#pgv_lang[todays_events_block]#~<br />This block works like the \"Upcoming Events\" block, only it displays today's events from your GEDCOM<br />";
$pgv_lang["index_favorites_help"]       = "~#pgv_lang[gedcom_favorites_block]#~<br />Fonctionnement identique au bloc \"My Favorites\", mais il n'est modifiable que par l'administrateur.<br />Son but est d'attirer l'attention des visiteurs sur une personne qui présente un intérêt particulier.<br />La liste déroulante des favoris est disponible à tout moment sur chaque page.<br />Le lien vous conduira vers la page détaillée de l'individu choisi.<br /><br />To save space, the boxes are displayed with limited information. At the right side of the name box you see the magnifying glass to reveal some more information.<br />Clicking the name will forward you to the individual page of the person.<br />Also at the right side you will find a menu, that can take to pages with more information or charts.<br />";
$pgv_lang["index_stats_help"]           = "~#pgv_lang[gedcom_stats_block]#~<br />Ce bloc présente quelques chiffres concernant ce fichier GEDCOM.<br />Si vous souhaitez d'autres informations, utilisez le lien <B>Contact</B> en bas de page.<br /><br />#pgv_lang[index_common_names_help]#";
$pgv_lang["index_common_names_help"]    = "~#pgv_lang[common_surnames]#~<br />Ce bloc affiche la liste des noms de familles les plus fréquents. Leur nombre est déterminé par l'administrateur.<br /><br />En cliquant sur un nom de la liste, vous afficherez la page <b>#pgv_lang[individual_list]#</b>, qui vous donnera davantage de détails.<br />";
$pgv_lang["index_media_help"]           = "~#pgv_lang[random_media_block]#~<br />Ce bloc affiche de façon aléatoire un OBJEt MultiMedia de la base GEDCOM.<br />En cliquant sur l'objet, il s'affichera en taille réelle.<br /><br />Au-dessous de l'objet, vous trouverez un lien vers la fiche de la personne associée à cet objet.<br />";
$pgv_lang["index_loggedin_help"]        = "~#pgv_lang[logged_in_users_block]#~<br />Ce bloc affiche le nombre d'utilisateurs actuellement connectés.";
$pgv_lang["index_gedcom_news_help"]     = "~#pgv_lang[gedcom_news_block]#~<br />The news block is like a bulletin board for this GEDCOM.<br />The site administrator can place important announcements or interesting news messages here.<br /><br />If you have something interesting to display, please contact the site administrator and he can put your message on the bulletin board.";
$pgv_lang["index_gedcom_news_adm_help"] = "#pgv_lang[gedcom_news_block]# accepte les marqueurs <b>HTML</b>.<br />Assurez-vous de bien refermer chaque balise.<br />Une bonne connaissance du langage HTML est recommandée.<br /><br />Ce programme utilise également les <b>feuilles de style (CSS)</b>. Il en existe une pour chaque thème, vous pouvez les utiliser.<br /><br />Le site PhpGedView comporte des exemples sur ce sujet, étudiez-les.<br />";
$pgv_lang["recent_changes_help"]        = "~#pgv_lang[recent_changes_block]#~<br />Ce bloc affiche les modifications les plus récentes suivant les marqueurs CHAN du fichier GEDCOM.";

//-- Index-Page Help
$pgv_lang["help_help"]                  = "La plupart des fonctions peuvent s'utiliser sans explication.<br />Cependant, certains de nos visiteurs ne sont pas très familiers avec l'ordinateur et Internet. Nous leur offrons de l'aide à plusieurs endroits.<br />Dans le menu Aide, vous trouverez les chapitres suivants :<br />";
$pgv_lang["help_page_help"]             = "<dl><dt><b>#pgv_lang[help_for_this_page]#</b></dt><dd>Il existe un texte d'aide pour chaque page. En cliquant sur <b>#pgv_lang[page_help]#</b>, vous aurez une aide générale sur la page active.<br />Pour une aide plus détaillée, ou de l'aide  sur un champ, cliquer sur <B>#pgv_lang[qm]#</B> qui affichera l'aide contextuelle.</dd></dl>";
$pgv_lang["help_content_help"]          = "<dl><dt><b>Sommaire de l'aide</b></dt><dd>Ce menu affiche la liste de tous les textes d'aide disponibles.</dd></dl>";
$pgv_lang["help_qm_help"]               = "<dl><dt><b>#pgv_lang[show_context_help]#</b></dt><dd>L'aide contextuelle est la façon la plus confortable d'obtenir de l'aide.<br />Il suffit de cliquer sur le lien <B>#pgv_lang[qm]#</B> présent en de nombreux endroits.<br />Cette option est débrayable en choisissant <B>#pgv_lang[hide_context_help]#</B>.</dd></dl>";

//-- Index-page Definitions
$pgv_lang["def_help"]                   = "<div class=\"name_head\"><center><b>Définitions</b></center></div><br />Some definitions of words, used in this help text:<br />";
$pgv_lang["def_portal_help"]            = "~Portail~<br />Also on this web site a Portal is like a lobby of a restaurant. It is the place where you enter, but you can also find important information like explanations, menus etc..<br />";
$pgv_lang["def_gedcom_help"]            = "~Fichier GEDCOM~<br />The GEDCOM file is the file that contains all the information about the family.<br />All facts, dates, events, etc. are stored in the GEDCOM file.<br />A GEDCOM file has to follow strict rules, because it is exchangeable between many programs, independent of platforms and/or systems.<br />";
$pgv_lang["def_gedcom_date_help"]       = "~Dates GEDCOM~<br />Since the formats in the GEDCOM files have to follow the International rules, there is an agreement about the notation of the dates as well.<br /><br />Although the date field in a GEDCOM file is a free field (meaning you can even type in just text), here some explanation about typing in correct dates:<br />The full date is entered like DD MMM YYYY like:<br />01 Mar 1801 or 14 Dec 1950<br />If you are missing a part of the date, you can omit that part, like:<br />Mar 1801 or 14 Dec<br />If you are not sure, or the date is not confirmed, you could type:<br />abt Mar 1801 (abt = about)<br />bef 20 Dec 1950 (bef = before)<br />aft 1949 (aft = after)<br />Make sure that you enter these dates and abbreviations in English, because then the GEDCOM file is exchangeable and the program will translate all dates and abbreviations properly in the desired language.<br />Also the program has to calculate with the dates. If improper dates are entered in the date fields of the GEDCOM file, the program will not be able to calculate properly.<br />";
$pgv_lang["def_pgv_help"]               = "~PhpGedView~<br />PhpGedView (or PGV) is a program designed by <A HREF=\"https://sourceforge.net/users/yalnifj/\" TARGET=\"_blank\">John Finlay</A> to view GEDCOM files on line.<br />As you can see, PGV does not just put static pages on the web, but is dynamic and can be customized in many ways.<br />John started developing the program on his own, but an entire international team of developers and translators has since joined him and is working to improve the program.<br />Apart from just viewing GEDCOM files, PGV also allows adding and editing events on-line now.<br />";
$pgv_lang["def_theme_help"]             = "~#pgv_lang[heading_theme]#~<br />This site can have some different \"looks\", called Themes.<br />The site administrator chooses a Theme for startup.<br />Everybody who enters this site will see the same Look (Theme). When the site admin has set up the site in a way that logged in users can choose their own theme, they can find out for themselves what they like most.<br />If a user has chosen a different Theme, he/she will have that site layout, as soon as he/she is logged in.<br />";

//-- Index-page MyGedcom
$pgv_lang["mygedview_portal_help"]      = "~#pgv_lang[upper_mygedview]#~<br />This is your Personal #pgv_lang[mgv]# Page.<br />You may find here easy links to access your personal data, like <b>My Account, My Indi</b> (this is your Individual Page), <b>My Pedigree</b>.<br />Furthermore you can have a block with <b>Messages</b>, a <b>Journal</b> (like a Notepad) and many more.<br /><br />The layout of this page works the same as the Welcome Page.<br />But while the parts of the Welcome Page are selected by the site adminstrator, you select what parts to include on this page.<br /><br />In the Welcome Block on this page you will find the link to customize this page.<br />You can choose from the following blocks:<br /><br />";
$pgv_lang["mygedview_customize_help"]   = "~#pgv_lang[customize_page]#~<br />When you entered here for the first time, you already had some blocks on this page.<br />If you like, you can customize this Portal.<br />Clicking this link will bring you to a form in a pop up window, in which you can add, delete or move around blocks.<br />More explanation is available on that form.<br />";
$pgv_lang["mygedview_message_help"]     = "~#pgv_lang[user_messages_block]#~<br />In this block you will find the messages sent to you by other users or the admin.<br />Of course, you too can send messages to other users or admin.<br />The PhpGedView mail system is designed to help protect your privacy.  You don't have to leave your email address here and others will not be able to see your email address.<br />";
$pgv_lang["mygedview_favorites_help"]   = "~#pgv_lang[user_favorites_block]#~<br />My favorites works like bookmarks.<br />Suppose you have somebody in the family tree whose record you want to check regularly.<br />Just go to the person's individual page, and select the \"Add to My Favorites\" option from the favorites drop-down list. This person is now book marked and added to your list of Favorites.<br />Wherever you are on this site, you can click on a name in the \"My Favorites\" drop down list in the header.<br />This will forward you to the individual page of the person.<br /><br />To save space, the boxes are displayed with limited information. At the right side of the name box you see the magnifying glass to reveal some more information.<br />Clicking the name will forward you to the individual page of the person.<br />Also at the right side you will find a menu that can take you to pages with more information or charts.<br />";
$pgv_lang["mygedview_myjournal_help"]   = "~#pgv_lang[user_news_block]#~<br />You can use this journal to write notes (or reminders) for your own use.<br />Of course, when you make a note, it will still be there, the next time when you visit the site.<br /><br />These notes will not be visible for others.<br />";
$pgv_lang["mygedview_welcome_help"]     = "~#pgv_lang[welcome_block]#~<dt>This Welcome block shows you:</dt><dd>- The current GEDCOM file</dd><dd>- The date and time</dd><dd>- Links to:</dd><dd> - - #pgv_lang[myuserdata]#</dd><dd>- - #pgv_lang[my_pedigree]# (see remark)</dd><dd>- - #pgv_lang[my_indi]# (see remark)</dd><dd>- - #pgv_lang[customize_page]#</dd></dl><b>Remark</b><br />You will see the links to \"My Indi\" and \"My Pedigree\" only if you have a record in the current GEDCOM file.<br />So, it may be that in one GEDCOM file you have a record, and see the links \"My Indi\" and \"My Pedigree\", while in another GEDCOM file you do not have a record and \"My Indi\" and \"My Pedigree\" are not displayed.<br />";

//-- Pedigree-page
$pgv_lang["help_pedigree.php"]          = "~#pgv_lang[index_header]#.~<br /><br />L'arbre d'ascendance d'une personne est la liste de ses ancêtres : son père, sa mère, leurs parents, etc...<br />Les informations concernant chaque personne s'affichent dans des boîtes, et offrent des liens vers d'autres pages.<dl><dt>Boîtes</dt><dd>Avec l'option <a href=\"?help=show_full_help\">#pgv_lang[show_details]#</a>, les informations principales (naissance, mariage, décès) sont affichées.<br />Dans le cas contraire, seul le nom est indiqué.<br />En cliquant sur le nom, vous êtes redirigé vers la page <a href=\"?help=help_individual.php\">#pgv_lang[personal_facts]#</a> de l'individu.<br /></dd><dt>Sous-menu</dt><dd>Avec l'option <a href=\"?help=show_full_help\">#pgv_lang[show_details]#</a>, une première image dans la boîte affiche un sous-menu.<br />Ce sous-menu est similaire au <a href=\"?help=menu_charts_help\">#pgv_lang[menu]# «#pgv_lang[charts]#»</a>, sauf que l'#pgv_lang[root_person]# est remplacé par la personne indiquée dans la boîte.<br />D'autres liens permettent de naviguer vers conjoints et enfants.</dd><dt>Zoom</dt><dd>Une deuxième image offre un zoom donnant davantage de détails sur l'individu choisi.</dd><dt>Flèches</dt><dd>Aux extrêmes gauche et droite du graphique, des flèches facilitent la navigation par génération.</dd></dl>";
$pgv_lang["show_full_help"]             = "~#pgv_lang[show_details]#~<br /><br />Option pour afficher les détails de chaque individu sur le diagramme.<br /><br />Détails masqués, vous pouvez afficher davantage de personnes sur une page.<br />Pour voir les détails, il suffit alors soit de cliquer, soit de passer la souris sur la case. Cela dépend de la configuration choisie par l'administrateur.";
$pgv_lang["talloffset_help"]            = "~#pgv_lang[portrait]# / #pgv_lang[landscape]#~<br /><br />#pgv_lang[PEDIGREE_LAYOUT_help]#<br />Utile avec un écran pivotable, ou pour faire une impression d'écran (print-screen).";
$pgv_lang["rootid_help"]                = "~#pgv_lang[rootid]#~<br /><br />Pour démarrer d'une autre personne, entrez son code, appelé identifiant GEDCOM, ou plus simplement <b>ID</b>.<br />Par exemple <tt>I65</tt>.<br />Si vous ne le connaissez pas, utilisez le lien «#pgv_lang[find_id]#».";
$pgv_lang["PEDIGREE_GENERATIONS_help"]  = "~#pgv_lang[generations]#~<br /><br />#pgv_lang[generations]# à afficher sur cette page.<br />A règler en fonction de la taille de votre écran, et suivant que vous affichez les détails ou non.";

//-- LOGIN-page
$pgv_lang["login_page_help"]            = "~#pgv_lang[login]#~<br /><br />Sur cette page vous pouvez : vous connecter, #pgv_lang[requestaccount]# ou #pgv_lang[requestpassword]#.<br />";
$pgv_lang["username_help"]              = "~#pgv_lang[username]#~<br /><br />Entrer ici votre nom d'utilisateur.<br />Respecter majuscules/minuscules.";
$pgv_lang["password_help"]              = "~#pgv_lang[password]#~<br /><br />Entrer ici votre mot de passe.<br />Respecter majuscules/minuscules.";
$pgv_lang["login_buttons_help"]         = "~#pgv_lang[login]# / #pgv_lang[admin]#~<br /><br />Sur cette page, deux boutons vous sont proposés :<dl><dt>#pgv_lang[login]#</dt><dd>Ce bouton vous ramènera vers la page par laquelle vous êtes venu.</dd><dt>#pgv_lang[admin]#</dt><dd>Si vous avez les droits administrateur, vous pouvez utiliser ce bouton pour accéder directement à la page Administration.</dd></dl>";
#pgv_lang["login_buttons_aut_help"]     = "~AUTHENTICATION MODE~<br /><br />LOGIN BUTTONS<br /><br />Here you see two buttons to Login to the system.<br />To what page you will be forwarded (or sent back to), is depending of the button, that you click after typing your user name and password.<br /><br />* The <b> #pgv_lang[login]# </b> Button<br />IF you click this button, you will be logged in and go directly to your MyGedView page, where you edit your settings, add or edit favorites, send and read messages and so on.<br /><br />* The <b> #pgv_lang[admin]# </b> Button<br />If you have admin rights, you can click this button to go directly to the main Administration Page.";
$pgv_lang["new_password_help"]          = "~#pgv_lang[requestpassword]#~<br />Si vous avez perdu votre mot de passe, cliquez sur ce lien.<br />Vous serez redirigé vers le formulaire de \"#pgv_lang[lost_pw_reset]#\".";
$pgv_lang["new_user_help"]              = "~#pgv_lang[requestaccount]#~<br /><br />Si vous souhaitez demander un compte d'accès personnel, cliquez sur ce lien.<br />Vous serez redirigé vers le formulaire de demande de compte.";
$pgv_lang["mygedview_login_help"]       = "Pour accéder au portail «Mon GedView», vous devez vous identifier.<br /><br />Avec le portail «Mon GedView» vous pourrez mémoriser vos préférences, conserver un journal, gérer vos messages, voir les autres utilisateurs connectés...<br /><br />Connectez-vous :";
$pgv_lang["new_user_fullname_help"]     = "~#pgv_lang[fullname]#~<br /><br />Entrez ici votre nom complet.<br /><br />C'est ce nom qui s'affichera aux autres utilisateurs connectés.<br /><br />Ce nom est nécessaire pour vérifier votre parenté et vous donner les droits appropriés.";

//-- Descendancy-page
$pgv_lang["help_descendancy.php"]       = "~#pgv_lang[descend_chart]#~<br /><br />L'arbre de descendance d'une personne est la liste de ses enfants, petits-enfants, etc... avec leurs conjoints.<br /><br />Fonctionnement des boutons, sous-menus et liens similaire à l'<a href=\"?help=help_pedigree.php\">#pgv_lang[index_header]#</a>.<br />Pour davantage de lisibilité, chaque branche peut s'ouvrir <img src=\"images/plus.gif\" /> ou se fermer <img src=\"images/minus.gif\" /> d'un simple clic.<br />La <a href=\"?help=box_width_help\">#pgv_lang[box_width]#</a> est également modifiable.<br /><br />En marge est indiqué le numéro de descendant selon le système d'Aboville.<br />Ainsi le 1.2.5 est le cinquième enfant du deuxième enfant de l'individu racine.";
$pgv_lang["desc_rootid_help"]           = "#pgv_lang[rootid_help]#";
$pgv_lang["desc_generations_help"]      = "#pgv_lang[PEDIGREE_GENERATIONS_help]#";
//-- show_full is used from pedigree

//-- Time line-page
$pgv_lang["help_timeline.php"]          = "~#pgv_lang[timeline_chart]#~<br /><br />Affiche les évènements d'une ou plusieurs personnes sur une même ligne de temps, permettant de les comparer.";
$pgv_lang["add_person_help"]            = "~#pgv_lang[add_another]#~<br /><br />Pour ajouter une personne, entrez son identifiant GEDCOM (exemple: <tt>I65</tt>).<br />Si vous ne le connaissez pas, utilisez le lien «#pgv_lang[find_id]#».";
$pgv_lang["remove_person_help"]         = "~#pgv_lang[remove_person]#~<br /><br />Pour retirer une personne du diagramme.<br />La fiche de cette personne n'est ni modifiée, ni supprimée.";
$pgv_lang["show_age_marker_help"]       = "~#pgv_lang[show_age]#~<br /><br />Option pour activer le marqueur d'âge, affichant l'âge de la personne à une année donnée.<br />Le marqueur se déplace sur la ligne de temps avec la souris.<br />Il existe un marqueur pour chacune des personnes sur le diagramme.";

//-- Relationship-page
$pgv_lang["help_relationship.php"]      = "~#pgv_lang[relationship_chart]#~<br /><br />Recherche du lien de parenté entre deux personnes.<br />Il peut s'agir d'un lien direct (de sang) ou d'un lien indirect (par mariage).";
$pgv_lang["relationship_id_help"]       = "~#pgv_lang[id]# #pgv_lang[person1]# #pgv_lang[person2]#~</b><br /><br />Si, sur la page précédente, vous avez cliqué «#pgv_lang[relationship_to_me]#», les deux champs sont déjà renseignés.<br />Sinon, sélectionnez deux individus en entrant leur ID, ou en cliquant sur «#pgv_lang[find_id]#»";
$pgv_lang["next_path_help"]             = "~#pgv_lang[next_path]#~<br /><br />Bouton pour afficher le prochain lien de parenté, s'il existe.<br />Pour réafficher un lien de parenté précédent, cliquer sur son numéro dans la liste.";
$pgv_lang["follow_spouse_help"]         = "~#pgv_lang[follow_spouse]#~<br /><br />Option pour élargir la recherche aux liens par mariage.<br />Sinon, seuls les liens de sang sont pris en compte.";
$pgv_lang["line_up_generations_help"]   = "~#pgv_lang[line_up_generations]#~<br /><br />Option pour afficher les personnes de même génération sur une ligne horizontale.<br/>Sinon, les individus sont affichés à la suite sur la page, sans tenir compte des générations.";
$pgv_lang["oldest_top_help"]            = "~#pgv_lang[oldest_top]#~<br /><br />Option pour afficher les résultats dans le sens parents-enfants du haut vers le bas.<br/>Par défaut, c'est l'inverse : les individus les plus jeunes sont affichés en premier.<br /><br />Ne fonctionne que si l'option <a href=\"?help=line_up_generations_help\">#pgv_lang[line_up_generations]#</a> est activée.";

//-- Ancestry-page
$pgv_lang["help_ancestry.php"]          = "~#pgv_lang[ancestry_chart]#~<br /><br />Cette page affiche les ancêtres d'une personne, comme l'<a href=\"?help=help_pedigree.php\">#pgv_lang[index_header]#</a>, mais d'une façon plus détaillée, et avec plusieurs choix de <a href=\"?help=chart_style_help\">#pgv_lang[chart_style]#</a>.<br /><br />A chaque ancêtre est attribué un numéro unique, selon le système <i>Sosa-Stradonitz</i>, le plus répandu dans le monde :<br /> - pair pour les hommes (double de celui de son enfant)<br /> - impair pour les femmes (numéro de son mari +1) avec une exception pour le <big>1</big><br /><br />Ainsi le <big>7</big> est la femme du <big>6</big>, la mère du <big>3</big>, et la fille des <big>14</big> et <big>15</big>.";
$pgv_lang["box_width_help"]             = "~#pgv_lang[box_width]#~</b><br /><br />Vous pouvez faire varier la largeur des boîtes entre 50% et 300%.<br />La valeur initiale est 100% : chaque boîte fait environ 270 pixels de large.";
$pgv_lang["chart_style_help"]           = "~#pgv_lang[chart_style]#~<br /><br />Choix entre :<dl><dt>#pgv_lang[ancestry_list]#</dt><dd>L'arbre, présenté verticalement, comporte autant de niveaux que de générations, avec à chaque fois deux branches : celle du père (numéro pair) et celle de la mère (numéro impair).</dd><dt>#pgv_lang[ancestry_booklet]#</dt><dd>Présentation d'une famille par page avec les parents, les grand-parents et la liste de tous les enfants connus. Ce format est idéal pour imprimer le récapitulatif d'une famille et l'offrir à vos proches</dd></dl>";

//-- Fan chart-page
$pgv_lang["help_fanchart.php"]          = "~#pgv_lang[fan_chart]#~<br /><br />Cette page affiche les ancêtres d'une personne, comme l'<a href=\"?help=help_pedigree.php\">#pgv_lang[index_header]#</a>, mais d'une façon plus visuelle : sous la forme d'une roue ou d'un éventail.<br />L'individu racine est au centre, ses parents sur la première couronne, les grand-parents sur la seconde ...<br /><br />Pour chaque personne, figurent son nom et ses dates de naissance et décès.";
$pgv_lang["fan_width_help"]             = "~#pgv_lang[fan_width]#~</b><br /><br />Vous pouvez faire varier la taille de la roue entre 50% et 300%.<br />La valeur initiale est 100% : l'image de la roue fait environ 640 pixels de large.";
$pgv_lang["fan_style_help"]             = "~#pgv_lang[chart_style]#~<br /><br /><dl><dt>1/2</dt><dd>Demi-roue (180°)</dd><dt>3/4</dt><dd>Trois-quarts de roue (270°) ou 'Roue du paon'</dd><dt>4/4</dt><dd>Roue entière (360°)</dd></dl>";

//-- Indilist-page
$pgv_lang["help_indilist.php"]          = "~#pgv_lang[individual_list]#~<br /><br />On this page you can display a list of individuals.<br /><br />The names will be displayed, Surnames first and sorted in alphabetical order.<br />The output of the name list depends of:<br /><b>1.</b> The letter you clicked in the alphabet-index.<br /><b>2.</b> You clicked \"Skip\" or \"Show\" Surname List.<br /><br />If you need more help about this, please click the ? behind the items.";
#pgv_lang["alpha_help"]                 = "~ALPHABETICAL INDEX~<br /><br />Clicking a character in the Alphabetical index will display a list with names, starting with the character you clicked.<br />The second to last item in the Alphabetical index can be <b>(unknown)</b><br />This is displayed if there are people in the Gedcom, whose surname is not entered in the persons' Gedcom record, or does not contain any characters from the supported languages.<br />An unknown person, also.<br /><br /><b>Attention</b><br />If in a persons' Gedcom record, the surname is entered like (for example): Nn, NN, Unknown, or even N.N., then that person's name will <b>not</b> be displayed, by clicking <b>(unknown)</b>. You will find these persons by clicking \"<b>N</b>\" or \"<b>U</b>\" (for the example in this line).<br />This is because the program will only check whether there is a surname entry in the persons' record of the Gedcom file.<br /><br />At the end of the Alphabetical index you see \"<b>ALL</b>\". Clicking this, will display a list of all surnames in the Gedcom file.<br /><br /><b>Missing characters?</b><br />It may be that, in your alphabetical index, one or more characters are \"missing\".<br />Well, they are not missing, it simply means that there are no records in the list, with a surname, starting with that \"missing\" character.";
#pgv_lang["name_list_help"]             = "~NAME LIST~<br /><br />This box will either display a surname list or a complete name list.<br />In both cases all surnames will start with the initial character that you clicked in the alphabetical index. Unless you clicked \"ALL\"<br /><br />Whether you will see a surname list or the complete list, is depending of the status of the link below the box.";
#pgv_lang["skip_sublist_help"]          = "~SKIP SUBLIST~<br /><br />The standard setting is that you will get a sub-list with surnames, after you have clicked a character of the alphabetical index.<br />If you click this link, the surname list will be skipped and all the names, with the initial character, will be displayed.";

//-- Families-page
$pgv_lang["help_famlist.php"]           = "~#pgv_lang[family_list]#~<br /><br />On this page you can display a list of families.<br /><br />The names will be displayed Surnames first and sorted in alphabetical order.<br />The output of the name list depends of:<br /><b>1.</b> The letter you clicked in the alphabet-index.<br /><b>2.</b> You clicked \"Skip\" or \"Show\" Surname List.<br /><br />If you need more help about this, please click the ? behind the items.";
$pgv_lang["help_family.php"]            = "~#pgv_lang[family_group_info]#~<br /><br />This page will show you an overview of the family that you chose on a previous page.<br />From top to bottom you will see the name boxes of:<br />The husband and his parents.<br />The wife and her parents.<br />The children.<br /><br />The layout and contents of the name boxes is the same as the name boxes that you already know from the Pedigree page and Descendancy page.<br />At the right of the name boxes of the parent you see an arrow (if more ancestors exist in the file). Clicking that arrow will bring you to the Family page of that family.<br />Below the name boxes of the child(ren) you find the link to \"Add a child to this Family\".<br />Next to the name boxes of the children you see the \"Family Group Information\".<br />If you have enough rights, you can edit, delete, and add data and facts here.<br /><br />At the right side at the screen you see the icons and links for \"Show couple on timeline chart\", \"View GEDCOM Record\", and (if enabled) \"Add to Clippings Cart\".<br /><br />#pgv_lang[more_help]#";
$pgv_lang["add_child_help"]             = "~#pgv_lang[add_child_to_family]#~<br /><br />By clicking this link, you can add a child to this family.<br />Adding a child is simple: Just click the link, fill out the boxes in the pop up screen and that's all.<br />";
$pgv_lang["show_fam_gedcom_help"]       = "~#pgv_lang[view_gedcom]#~<br /><br />By clicking this link, the information about the family, as it is stored in the GEDCOM, will be displayed in a popup window.";
$pgv_lang["add_fam_clip_help"]          = "~Famille : #pgv_lang[add_to_cart]#~<br /><br />By clicking this link you can add the family information, as it is stored in the GEDCOM, to your Clipping Cart. On the next page you can choose which information you exactely wish to add: just this parents, or also their parents and/or their children and/or all descendants.";
#pgv_lang["show_fam_timeline_help"]     = "~SHOW COUPLE ON TIMELINE CHART~<br /><br />By clicking this link you will jump to the timeline page, where all facts of the couple will be displayed on the timeline scale.";
//-- same variables as individuals page

//-- Source list-page
$pgv_lang["help_sourcelist.php"]        = "~#pgv_lang[source_list]#~<br /><br />On this page a list of sources is displayed.<br />Unlike the Individual Page and the Family Page there is no alphabetical index on top. This is because sources can be individuals with, of course, given name and surname, or it can be public databases or institute, etc.<br />That means that it is difficult to find a sortorder. The names of the sources are sorted in alphabetical order, as stored in the gedcom.<br /><br /><b>SOURCES</b><br />Without sources we can not build our database. For all information stored in the database is a source. It can be a relative of a person an institute, public database, etc.<br />A source can be linked to many persons. On the other hand, one person can be linked to many sources as well. You can have different sources for every event, whether it is birth date, profession, marriage, children, etc. etc. ";
$pgv_lang["sourcelist_listbox_help"]    = "~Boîte #pgv_lang[source_list]#~<br /><br />In this box you see the names of the sources, as they are stored in the gedcom.<br />The names are displayed in alphabetical order.<br /><br />When you click on a name in the list, you will go to the source page where a list is displayed which persons and/or families are linked to that source.";

//-- Sources-page
$pgv_lang["help_source.php"]            = "~SOURCE DETAILS PAGE~<br /><br />On this page the details of the source are displayed.<br />You can see the information about the source, as it is stored in the GEDCOM.<br /><br />Furthermore a list is displayed with names of individuals and families, who are linked to this source.<br /><br />If enabled by the site admin, you will have one or two more menu icons on this page:<br />View GEDCOM Record<br />Add to Clipping Cart.<br /><br />More help is available on the page by clicking on the <b>?</b>";
#pgv_lang["sources_listbox_help"]       = "~RECORDS LINKED TO THIS SOURCE~<br /><br />In this box you see the names of individuals and families that are linked to the source.<br />The names are displayed in alphabetical order.<br /><br />When you click on a name in the list, you will go to the detail page of the individual or family.";
#pgv_lang["show_source_gedcom_help"]    = "~SHOW GEDCOM RECORD~<br /><br />By clicking this link, the information about the source, as it is stored in the Gedcom, will be displayed in a popup window.";
$pgv_lang["add_source_clip_help"]       = "~Source : #pgv_lang[add_to_cart]#~<br /><br />By clicking this link you can add the source, as it is stored in the GEDCOM, to your Clipping Cart.";
#pgv_lang["delete_source_help"]         = "~DELETE SOURCE FROM GEDCOM~<br /><br />By clicking this option you will mark this Source to be deleted from the gedcom.<br />What does that mean?<br />Let's suppose you have a good reason to remove this source from the Gedcom. You click the link, and after that you will get a pop-up and asked whether you are sure, or want to cancel.<br /><br />If you continue to remove the source, it can take a little time, before you get a pop-up window with the message that the source is deleted.<br /><br />When you continue with your visit, you will notice that the source is still visible, and can even be used, just like before.<br /><br />This is <b>not</b> an error.<br />The site admin will get a message that a change has been made to the Gedcom, and that you removed the Source.<br />The administrator has to accept (or reject) your change. Only then the process can not be reversed.<br />In case of a doubt, the administrator will contact you.";

//-- Persons per Place-page
$pgv_lang["help_placelist.php"]         = "~PLACE HIERARCHY~<br />(or Persons Per Place)<br /><br />In this screen you can look which individuals or families are connected to a location.<br /><br />If there is any connection between an individual or family and an event at a certain location, the program will find it for you.<br /><br />The results are displayed in a two-column list:<br />One for individuals and one for families.<br /><br />#pgv_lang[more_help]#";
$pgv_lang["ppp_default_form_help"]      = "~ORDER OF THE PLACES~<br /><br /><b>DEFAULT ORDER</b><br />The locations are in the default order.<br />This means that there is no specified order found in this GEDCOM file.<br />In this case the default order is set, as preset on this site.<br /><br />If another order was found in this used GEDCOM file, it would have been showed between the (...) at the end of the line.";
$pgv_lang["ppp_match_one_help"]         = "~ORDER OF THE PLACES~<br /><br />GEDCOM ORDER<br />The locations are in the order as found in the gedcom file.<br />This overrules the default order, which is used when nothing specific is found in the GEDCOM";
$pgv_lang["ppp_numfound_help"]          = "~FOUND PLACE CONNECTIONS~<br /><br />The number of matches that are found by now is displayed here.<br />If you still see a list box with locations, it means that have not reached the lowest level yet.<br />You already can choose a name from the <b>Name List</b> or you can refine your search by clicking another location in the <b>Location List</b> above the Name List.";
#pgv_lang["ppp_levels_help"]            = "~LOCATION LEVELS~<br /><br />This is showing the levels that are displayed now.<br />The list box, which shows the places, is in fact a sublist of the utmost left Level.<br /><br />EXAMPLE:<br />The (default) order is: #pgv_lang[default_form]#<br />If the current level is \"Top Level\", then the box will list all the countries in the gedcom.<br />If the current level shows: \"U.S.A., Top Level\" , then the box will list all the states in the U.S.A.<br />etc.<br /><br />You can click a level, to go back one or more steps.";
$pgv_lang["ppp_placelist_help"]         = "~#pgv_lang[place_list]#~<br /><br />In this list you can see the Locations that are found by now.<br />The names of the locations in the list are clickable.<br />Clicking on a location works like a filter. It will bring you to the next level down.<br />Only when you are in the top level, a name list will not be displayed. At all other levels down, you will get the list of persons and / or families, found at that location.";
#pgv_lang["ppp_placelist_help2"]        = "~PLACE LIST~<br /><br />In this list you can see the Locations that are found by now.<br />The names of the locations in the list are clickable.<br />Clicking on a location works like a filter. It will bring you to the next level down.<br />Only when you are in the top level, a name list will not be displayed. At all other levels down, you will get the list of persons and / or families, found at that location.";
#pgv_lang["ppp_view_records_help"]      = "~VIEW ALL RECORDS~<br /><br />Clicking on this link will show you a list of all of the individuals and families that have events occuring in this place.  When you get to the end of a place hierarchy such as a town or city, the name list will automatically be shown.";
#pgv_lang["ppp_name_list_help"]         = "~NAME LIST~<br /><br />This box will display a complete name list, of individuals and / or families that are related (in any way) to the location.<br /><br />The names in the list are clickable.<br />When you click a name, it will bring you to the detail page of the individual or family.<br /><br />You may also choose to change your selection, by clicking on a location on top of this list.";

//-- Multimedia-page
$pgv_lang["help_medialist.php"]         = "~#pgv_lang[media_list]#~<br /><br />The MultiMedia Object list page is listing all the Multi Media Objects (MMO) that can be found in this GEDCOM.<br /><br />In the MMO Boxes you find the name of it, and the name of the person or family that is connected to the MMO. Both names are clickable.<br /><br />Clicking the name of a person or family will bring you to the Individual Page or Family Page.<br /><br />Clicking the name of the MMO has the same affect as clicking on the MMO.<br />Depending of the format of the MMO (*.gif, *.jpg), the MMO will be opened in the internal PGV-viewer, or in the viewer that is connected to your local browser.<br /><br />Right Clicking on a MMO gives you all possiblities that comes with your browser. Like, for example, saving a picture, using it as back ground, printing, etc.<br />";

//-- Upload Media-page
$pgv_lang["help_uploadmedia.php"]       = "~#pgv_lang[upload_media]#~<br /><br />Uploading the Files is simple, so here just some additional information.<br /><br /><b>Thumbnails</b><br />Thumbnails should have a size somewhere around 100px width.<br />The filename has to be the same as the original.<br /><br /><b>Uploading</b><br />The files will be uploaded automatically to the directory ../media for the large copies and ../media/thumbs/ for the thumbnails.<br /><br />#pgv_lang[readme_help]#";

//-- Anniversaries-page
$pgv_lang["help_calendar.php"]          = "~#pgv_lang[anniversary_calendar]#~<br /><br />The function of this Anniversary Calendar is to show the persons and families who are linked to an event on a certain day (the \"Day mode\"), or in a certain month(the \"Calendar mode\").<br /><br />The Anniversary Calendar that you can display has some powerful functions. It has an advanced filtering system to select the right events for you.<br /><br />In the <b>Day Mode</b> the output will be either a single list with the names of Individuals or Families, or a two-column list with Individuals on one side and Families on the other.<br /><br />In the <b>Month Mode</b> the output is a <b>Calendar</b> with the names of Individuals as well as the names of the Families inside the boxes.<br /><br />On top of the page is a table with clickable links, and a text box to type in the year, to select the day, month, year, and events to show.<br />The current date, month, and Show Event setting are displayed in red.<br /><br />At the end of the rows: Day and Month, you see two <b>\"Quick Links\"</b>.<br />Those Quick Links will let you display the list for today or the calendar of this month.<br /><br />The names that appear in the list or in the calendar, are clickable.<br />Clicking on a name will bring you to the details page of the person or family.<br /><br />#pgv_lang[more_help]#";
$pgv_lang["annivers_date_select_help"]  = "~#pgv_lang[anniversary_calendar]# «#pgv_lang[day]#»~<br /><br />The top row of the \"Selector Table\" is the <b>Day Selector</b>.<br />The meaning of it is obvious: You select a day.<br />The result of clicking on a certain day depends of whether you are in the \"Day mode\" or in the \"Month mode\".<br /><br />The <b>Day mode</b>:<br />In this mode, when you have clicked a day, the screen will refresh and the list, of the day you clicked, will be displayed.<br /><br />The <b>Month mode</b>:<br />When you have the calendar of a certain month on the screen and click a day in the \"Day\" row of the selector table, the screen will refresh, but you will still see the month that you had on the screen before.<br />The reason for this is that you can still make up your mind to select another month, year, or event to show, before you either click the <b>#pgv_lang[viewday]#</b> or <b>#pgv_lang[viewmonth]# Button</b>.<br /><br />At the end of the Day row you will see the <b>\"Quick Link\"</b> with today's date.<br />Clicking that \"Quick Link\" will display the list of today, in the \"Day mode\", no matter whether you are in the Month mode, or in the Day mode.<br />";
$pgv_lang["annivers_month_select_help"] = "~#pgv_lang[anniversary_calendar]# «#pgv_lang[month]#»~<br /><br />The middle row of the \"Selector Table\" is the <b>Month Selector</b>.<br />Like the \"Day Selector\", is the meaning of it obvious as well: You select a month.<br /><br />And also like the Day Selector is the result of clicking on a month in the \"Day mode\" different from clicking on a month in the \"Month mode\".<br /><br />The <b>Day mode</b>:<br />In this mode, when you have clicked a month, the screen will refresh and the list will be displayed with the dates for the new selected month.<br />All other settings like day, year, and events will remain the same.<br /><br />The <b>Month mode</b>:<br />When you have the calendar on the screen and click a month in the \"Month\" row of the selector table, the calendar of the new month will be displayed.<br /><br />At the end of the Month row you will see the <b>\"Quick Link\"</b> with the current month.<br />Clicking that \"Quick Link\" will display the calendar of this month, no matter whether you are in the Month mode, or in the Day mode.<br />";
$pgv_lang["annivers_year_select_help"]  = "~#pgv_lang[anniversary_calendar]# «#pgv_lang[year]#»~<br /><br />This input box is for changing the year for your list in the \"Day mode\", or for the calendar in the \"Month mode\".<br /><br />Typing in another year will not directly refresh the screen.<br />Since this input box is not a link, you will have to click the <b>#pgv_lang[viewday]#</b> or <b>#pgv_lang[viewmonth]# Button</b> before you will see the new situation.<br />";
$pgv_lang["annivers_show_help"]         = "~#pgv_lang[anniversary_calendar]# «#pgv_lang[showcal]#»~<br />Non connecté, vous avez le choix entre deux options :<dl><dt>#pgv_lang[all_people]#</dt><dd>Affichage des évènements sur toutes les personnes et toutes les familles</dd><dt>#pgv_lang[recent_events]#</dt><dd>Les évènements vieux de plus de 100 ans ne sont pas affichés. Ainsi en 2004, on ne verra que les évènements depuis 1904.</dd></dl>Une troisième option est disponible quand vous êtes connecté, ou si l'administrateur l'a autorisé :<dl><dt>#pgv_lang[living_only]#</dt><dd>Seuls les évènements concernant les personnes vivantes sont affichés</dd></dl>En cliquant sur une option, l'écran est automatiquement rafraichi.<br />Vos sélections de jour, mois ou année restent inchangées.<br />";
#pgv_lang["annivers_sex_help"]          = "~SEX SELECTOR~<br />When you are logged in (or if the admin has disabled the privacy option) you can choose between three options:<dl><dt><b>1. All icon</b></dt><dd>With this option (default), the events of all Individuals and Families are displayed.</dd><dt><b>2. Male icon</b></dt><dd>Here only events of male individuals are displayed. Also male members of families will be displayed with the family event(s).</dd><dt><b>3. Female icon</b></dt><dd>Here only events of female individuals are displayed. Also female members of families will be displayed with the family event(s).</dd></dl>Clicking on an option will refresh the screen, and the events of your choice will be displayed.<br />Other settings of day, month, year, and events and mode remain as they were.<br />";
#pgv_lang["annivers_event_help"]        = "~EVENT SELECTOR~<br />Here you choose if you want all events for Individuals and Families displayed or just the event you select.<br /><br />Clicking on an option will refresh the screen, and the events of your choice will be displayed.<br />Other settings of day, month, year, and events and mode remain as they were.<br />";
$pgv_lang["annivers_tip_help"]          = "~Astuce~<br />Just suppose you have a relative that was born on January 25, 1875.<br />Adjust the date selector to that date.<br />When you click now on one of the View buttons, you will see a list or calendar for that date.<br />All the ages, anniversaries, etc. are recalculated and count back from the date you have set in the date selector.<br />So, in fact you are now seeing the same in the list or on the calendar, as your relative would have seen, long time ago.<br />";
$pgv_lang["day_month_help"]             = "~#pgv_lang[viewday]# / #pgv_lang[viewmonth]#~<br /><br />As already explained in the other Help windows, by clicking the <b>View Day</b> button, only the events of the chosen date will be scanned and displayed in a list.<br /><br />By clicking the <b>View Month</b> button, a calendar diagram of that month will be displayed.<br /><br />Specially when you want to <b>change the year</b> you <b>have</b> to use these buttons.<br /><br />All other settings remain as they were, when clicking one of these buttons.<br />";

//-- Clipping Cart-page
$pgv_lang["help_clippings.php"]         = "~#pgv_lang[clippings_cart]#~<br />Cette fonction vous permet d'extraire certaines parties de l'arbre sous la forme d'un fichier au format GEDCOM, compatible avec d'autres logiciels de généalogie.<dl><dt>Comment choisir les parties à extraire ?</dt><dd>C'est très simple : sur la page détaillée d'un INDIvidu, d'une FAMille ou d'une SOURce, cliquer sur le bouton <b>#pgv_lang[add_to_cart]#</b></dd><dt>Comment enregistrer le panier ?</dt><dd>Pour récupérer le contenu de votre panier, ouvrir le menu <b>#pgv_lang[clippings_cart]#</b>, puis cliquer sur <b>#pgv_lang[download_now]#</b>.</dd></dl>";
$pgv_lang["clip_download_help"]         = "~#pgv_lang[download_now]#~<br /><br />By clicking this link, you will be forwarded to the next page.<br />If there are more option what to download, they will be displayed on that page.<br />Simply follow the instructions.";
$pgv_lang["empty_cart_help"]            = "~#pgv_lang[empty_cart]#~<br /><br />By clicking this link, your Clipping Cart will be totally emptied.<br /><br />If you don't want to remove all persons, families, etc. from the Clipping Cart, you can remove item by item by clicking the \"Remove\" link in the name boxes. ";

//-- Gedcom Edit Utility
#pgv_lang["show_changes_help"]          = "~SHOW CHANGES OF THE GEDCOM~<br /><br />When you see this message, it means two thing:<br /><br />1. Somebody has made changes to the Gedcom<br />Record(s) may have been added, deleted, or changed.<br /><br />2. The changes have not been accepted yet by the administrator.<br />Once the changes have been accepted (or rejected), you will not see this message anymore.<br /><br /><br />By clicking the link, you can see what changes have been made.<br />If you notice that a change is not correct, please notify the admin.";

//-- Search-page
$pgv_lang["help_search.php"]            = "~The SEARCH PAGE~<br /><br />Although this page looks very simple, behind the two forms on it is a very powerful search engine.<br /><br />The most genealogy web sites just let you search for a (sur)name.<br />On this site you can practically search for anything.<br /><br />The search box on the left-hand side of the screen is the same as the search box in the header.<br /><br />If you are looking for people in connection to a certain year, just type the year. The program will find all connections for you.<br /><br />Looking for a name, or place?<br />Just type in the name or place, complete or just a part of it, and the program does the rest.<br /><br />SOUNDEX search method.<br />With the search box on the right hand side, you can search for names, even if you don't know how to write the name.<br /><br />You will find more help about these two boxes, by clicking the <b>?</b> above the boxes.";

$pgv_lang["search_enter_terms_help"]    = "~#pgv_lang[enter_terms]#~<br /><br />Vous pouvez faire une recherche par date, nom, prénom, lieu, etc.<dl><dt>Jokers</dt><dd>Les jokers (comme * ou ?), ne sont pas autorisés, mais le programme en tient compte.<br />Comment ?<br />Supposons que vous avez saisi : \"<b>Mar</b>\"<br />Le résultat donnera :<br />Jean-<b>Mar</b>c Durand<br /><b>Mar</b>cel Lebrin<br />Paul <b>Mar</b>tin<br />une personne née à <b>Mar</b>seille<br />etc..</dd><dt>Dates</dt><dd>En entrant une date, vous obtiendrez la liste de toutes les personnes liées à cette date.<br /><B>1950</B>, par exemple, vous donnera la liste des personnes, nées en 1950, ou mariées, ou décédées, ou....tout autre évènement de 1950.<br /><br />Avec <b>4 Dec</b>, toutes les personnes en rapport avec le 4 décembre de n'importe quelle année.<br />Mais aussi les évènements du 14 et du 24 décembre.<br />Encore une fois, les jokers ne sont pas nécessaires.</dd><dt>Dates exactes</dt><dd>Attention, le programme cherche les dates au format interne GEDCOM.<br />Ainsi, pour faire une recherche concernant le 14 décembre, il faut taper :<b>14 dec</b>.<br />Saisir <b>dec 14</b>, vous afficherait les évènements du 6 <b>dec</b>embre 19<b>14</b></dd></dl>.";

$pgv_lang["soundex_search_help"]        = "~#pgv_lang[soundex_search]#~<br /><br />The SOUNDEX name search is also rather powerful.<br />First a short explanation of Soundex:<br /><br />Soundex sorts together surnames that sound similar but have different spellings. A soundex code begins with the first letter of the surname followed by a three-digit code that represents the first three remaining consonants. Zeros will be added to names that do not have enough letters to be coded.<br /><br />In plain English this means:<br />If you are searching for \"Smith\", you can get as result:<br />Smith - Smid - Smit - Schmidt, Smyth, Smithe, Smithee, Schmitt, Smead,  Sneed, Smoote etc.<br /><br />You don't have to worry about the Soundex codes.<br />Just type in the name that you ar looking for, and the program does the work.<br /><br />The Soundex system is very good to use: sometimes you know a name, but you don't know the exact spelling of it.<br />It can also happen that a mistake was made, by putting the name into the database.<br />Using the Soundex system, you will still be able to find the name.<br /><br />To get used to it, try to find a certain name, but type it in the search form in a different way.<br /><br />In this Soundex search form, a Surname is enough to start searching.<br />If you want to search for a Given Name, then you have to type in a Surname as well.";

//-- Individuals-page
$pgv_lang["help_individual.php"]        = "~#pgv_lang[personal_facts]#~<br /><br />On this page all details of the person are displayed.<br /><br />If there is a picture available, you will see it at the top left side.<br />Next to the picture (if present) you will see the name details of the person.<br />Under the name details you could see source(s) and note(s). Again, if available.<br />A person might have an AKA (maybe he's known under another name). If that is the case, it will be displayed.<br /><br />If you have sufficient rights, you will see links under the names, to edit or even delete the names or person.<br />More help on this you will find behind those links.<br /><br />On this page you see tab sheets for \"Personal Facts and Details\", \"Notes\", \"Sources\", \"Media\", \"Close Relatives\" and (if enabled) \"Research Log\"<br /><br />On these tab sheets you will find all the information, that is stored in the GEDCOM.<br />If you know that some information is not correct, you can edit it on line (again, if you have the rights to do so).<br /><br />On the right hand side of the screen, you will find a box with links.<br />The links in the box have the same name as the names of the menu in the header, have the same function, only the start person is not the \"Root person\" of the gedcom, but the main person of this screen.<br /><br />More help is available on the page by clicking on the <b>?</b> behind links or items.";
$pgv_lang["delete_person_help"]         = "~#pgv_lang[delete_person]#~<br /><br />By clicking this option you will mark this PERSON to be deleted from the gedcom.<br /><br />What does that mean?<br />Let's suppose you have a good reason to remove this person from the GEDCOM. You click the link, and after that you will get a pop-up and asked whether you are sure, or want to cancel.<br /><br />If you continue to remove the person, it can take a little time, before you get a pop-up window with the message that the person is deleted.<br /><br />When you continue with your visit, you will notice that the person is still visible, and can even be used, just like before.<br /><br />This is <b>not</b> an error.<br />The site admin will get a message that a change has been made to the GEDCOM, and that you removed the person.<br />The administrator has to accept (or reject) your change. Only then the process can not be reversed.<br />In case of a doubt, the administrator will contact you.";
$pgv_lang["delete_name_help"]           = "~#pgv_lang[edit_name]# / #pgv_lang[delete_name]#~<dl><dt>#pgv_lang[edit_name]#</dt><dd>By clicking this link, you will open a pop up window, in which you can edit the name of the person.<br />It is very simple, just type the changes in the boxes and click the button, close the pop up, and that's it</dd><dt>#pgv_lang[delete_name]#</dt><dd>By clicking this option you will mark this Name to be deleted from the gedcom.<br />Keep in mind that deleting the name is completely different from deleting the Person.<br />Deleting the name, just removes the name from the person. The person will not be deleted.<br />If it is an AKA that you want to delete, the person still has his other name(s).<br />If it is the only name, that you want to remove, the person will still not be deleted, but continue as \"Unknown\".<br />The person will also not be disconnected from all other links to relatives, sources, notes, etc.<br /><br />How does it work?<br />Let's suppose you have a good reason to remove this name from the GEDCOM. You click the link, and after that you will get a pop-up and asked whether you are sure, or want to cancel.<br /><br />If you continue to remove the name, it can take a little time, before you get a pop-up window with the message that the name is deleted.<br /><br />When you continue with your visit, you will notice that the name is still visible, and can even be used, just like before.<br /><br />This is <b>not</b> an error.<br />The site admin will get a message that a change has been made to the GEDCOM, and that you removed the Name.<br />The administrator has to accept (or reject) your change. Only then the process can not be reversed.<br />In case of a doubt, the administrator will contact you.</dd></dl>";
#pgv_lang["add_name_help"]              = "~ADD NEW NAME~<br /><br />This link will allow you to add another name to this individual.  Sometimes people are known by other names and alias'.  This link allows you to add new names to a person without changing the old name.";
$pgv_lang["add_sibling_help"]           = "~#pgv_lang[add_sibling]#~<br /><br />By clicking this link, you can add a child to this family.<br />\"This Family\", in this case, are the father and mother of the principal person of this screen.<br />So, keep in mind that you are going to add a brother or sister of that person.<br />Adding a brother or sister is simple: Just click the link, fill out the boxes in the pop up screen and that's all.<br /><br />If you have to add a son or daughter of the principal person, scroll down a little and click the link in \"Family with Spouse\".";
$pgv_lang["add_son_daughter_help"]      = "~#pgv_lang[add_son_daughter]#~<br /><br />By clicking this link, you can add a child to this family.<br />\"This Family\", in this case, is the principal person of this screen and his/her spouse.<br />So, keep in mind that you are going to add a son or daughter of that person.<br />Adding a son or daughter is simple: Just click the link, fill out the boxes in the popup screen and that's all.<br /><br />If you have to add a brother or sister of the principal person, scroll up a little and click the link in \"Family with Parents\".";
$pgv_lang["link_child_help"]            = "~#pgv_lang[link_child]#~<br /><br />By clicking this link, you can link this person as a child to an existing family.<br /><br />Suppose the parents of the person were unknown, and you found out that they (the parents) have a record in this GEDCOM.<br /><br />Just click the link, enter the ID of the family (if you don't know the ID, you can search for it in the pop up window), and you have competed the task.";
$pgv_lang["link_husband_help"]          = "~#pgv_lang[link_as]# #pgv_lang[husband]#~<br /><br />This item will allow you to link the current individual as a husband to a family that is already in the GEDCOM. By clicking this link you can add this person to an existing family, of which the husband is unknown until now. The person will take the place of the unknown person. All events, marriage information and children will keep their existing links to the family.<br /><br />Just click the link, enter the ID of the family (if you don't know the ID, you can search for it in the pop up window), and you have competed the task. This is an advanced editing option that should only be used if the family you want to link to already exists.  If you just want to add a new family, use the add a new wife link.";
$pgv_lang["add_husband_help"]           = "~#pgv_lang[add_husband]#~<br /><br />By clicking this link, you can add a \"New\" (male) person and link this person to principal individual as a new husband.<br /><br />Just click the link, and you will get a pop up window to add the new person.<br />Fill out as many boxes as you can and click the \"Save\" button.<br /><br />That's all.";
$pgv_lang["link_wife_help"]             = "~#pgv_lang[link_as]# #pgv_lang[wife]#~<br /><br />This item will allow you to link the current individual as a wife to a family that is already in the GEDCOM.  This is an advanced editing option that should only be used if the family you want to link to already exists.  If you just want to add a new family, use the add a new husband link.";
$pgv_lang["add_wife_help"]              = "~#pgv_lang[add_wife]#~<br /><br />By clicking this link, you can add a \"New\" (female) person and link this person to principal individual as a new wife.<br /><br />Just click the link, and you will get a pop up window to add the new person.<br />Fill out as many boxes as you can and click the \"Save\" button.<br /><br />That's all.";
$pgv_lang["add_new_parent_help"]        = "#pgv_lang[add_father]# / #pgv_lang[add_mother]#~<br /><br />Of course, there will be many individuals in the GEDCOM without a record of a father and/or mother.<br /><br />In that case, on the <b>Individual's Detail</b> page, tab sheet <b>Close Relatives</b>, table <b>Family with Parents</b>, you will find the link(s) to add a <b>new</b> father and/or mother to the individual.<br /><br /><b>NOTE:</b><br />Please keep in mind that these links are for adding a <b>new</b> father and/or mother.<br />If the father of mother already has a record in this GEDCOM, then you have to use the link: <b>#pgv_lang[link_as]##pgv_lang[child]#</b>, which you also will find on the Individual's Detail Page, underneath the last table on the page.";

//-- Add Facts
$pgv_lang["add_facts_help"]             = "~#pgv_lang[add_fact]#~<br /><br />Here you can add a fact to the person (or persons).<br /><br />First choose a fact from the \"drop down list\", then click the \"Add\" button.<br />In the \"drop down list\" are already all possible facts to add to the GEDCOM file.<br />";
$pgv_lang["add_custom_facts_help"]      = "~#pgv_lang[custom_event]#~<br />If you don't find the fact, that you want to add, in the list of the GEDCOM facts, you can enter a <b>custom fact</b> as well.<br />Entering a custom factt is just as simple as entering a pre-defined factt.<br />The only difference is that you have to name the fact as well. You have to do this in the top field: <b>#pgv_lang[type]#</b><br />";
$pgv_lang["add_note_help"]              = "#pgv_lang[multiple_help]#<br />~#pgv_lang[add_note]#~<br />If you have a note to add to this person (or these persons), this is the place to do so.<br />The process is simple, just click the link, a pop up window will be opened, and you can type your note.<br /><br />When you are finished typing, just click the button under the box, close the pop up window, and that's all.<br /><br />#pgv_lang[add_facts_general_help]#";
$pgv_lang["add_source_help"]            = "#pgv_lang[multiple_help]#<br />~#pgv_lang[add_source]#~<br />By clicking this link you can add a source <b>Citation</b> to this person (or these persons).<br />A pop up window will be opened, you can choose the source from the list (Find ID) and add the \"Citation\".<br /><br />At this moment it is not possible to add a complete new source, so you have to choose the source from the list.<br /><br />If the Source, that you want to add, is not in the list, please notify the admin, give him the Source details, and he will put the new source in the list.<br />For future use you can then choose your new source from the list.<br /><br />Probably, in one of the next releases, it will be possible to add your new source directly.<br /><br />#pgv_lang[add_facts_general_help]#";
$pgv_lang["add_media_help"]             = "~#pgv_lang[add_media]#~<br /><br />L'ajout de'OBJEts MultiMedia (MM) à votre base GEDCOM la rend très agréable à consulter.<dl><dt>Ce qu'il faut savoir sur les OBJEts MultiMedia.</dt><dd>De nombreux formats existent. PHPGedview en reconnaît la grande majorité</dd><dt>Formats</dt><dd>Les images peuvent s'enregistrer sous plusieurs formats (.jpg .png .bmp .gif ...)<br />Pour un affichage presque identique, la taille du fichier peut varier énormément selon le format choisi</dd><dt>Résolution</dt><dd>La résolution d'une image se mesure en \"dpi\" (dots per inch = points par pouce). Equivalent en photographie au grain du film 25ASA - 200ASA - 800ASA.<br />La qualité augmente avec la résolution, mais la taille du fichier aussi.<br />Pour une image web, 75 dpi est largement suffisant</dd><dt>Nombre de couleurs</dt><dd>L'autre moyen de diminuer la taille d'un fichier, c'est de réduire le nombre de couleurs utilisées.<br />Entre 8 couleurs et 65M de couleurs, le choix est large. 256 est suffisant</dd><dt>Pourquoi est-il important d'avoir des petits fichiers ?</dt><dd>D'abord parce que la place est limitée sur un serveur web, et l'augmenter coûte cher.<br />Ensuite parce que les gros fichiers sont longs à charger, pour vous et pour vos visiteurs.<br />Tout le monde ne dispose pas d'une connexion haut-débit</dd><dt>Comment ajouter un fichier MM ?</dt><dd>Pour toutes les raisons évoquées, seul l'administrateur possède les droits. Contactez-le. Il chargera le fichier sur le serveur.<br />Vous pourrez ensuite rattacher ce fichier à une personne ou un évènement</dd></dl>";
$pgv_lang["add_facts_general_help"]     = "~General info about adding~<br />When you have added a fact, note, source or multi media file to a person or persons, the addition still has to be approved by the site admin.<br />When the addition has been approved, the site admin will import it to the database.";
//-- Edit user
#pgv_lang["edituser_my_account_help"]   = "On this page you can change your settings and preferences.<br /><br />You can change your user name, full name, password, language, email address, theme of the site, and preferred contact method.<br /><br />The item that you cannot change yourself is the Gedcom INDI record ID.<br /><br />";
$pgv_lang["edituser_username_help"]     = "~#pgv_lang[username]#~<br /><br />In this box you can change your User Name.<br />If you don't like your user name anymore, or have other reasons to change it, you can do so, using this form.<br /><br />The username is <b>case sensitive</b>. That means that \"John\" is not the same as \"john\" or \"JOHN\".<br /><br />You should <b>only</b> use characters from those alphabets that are supported by the program (uppercase and lower case), and numbers.<br /><br />Do <b>not</b> use punctuation marks, spaces or other characters apart from the supported alphabets.";
#pgv_lang["edituser_fullname_help"]     = "~#pgv_lang[fullname]#~<br /><br />In this box you can change your Full Name.<br />Although it is up to you to change your Full Name, it is probably better to inform, at least, the site admin about this changing.<br />Like you can see the names of other logged-in users, they also can see your name. So, if they suddenly see an unknown person, they might wonder who is at the site.<br />";
#pgv_lang["edituser_gedcomid_help"]     = "~#pgv_lang[gedcomid]#~<br /><br />This is an internal (Gedcom ID) that links you to your own data in the Gedcom File.<br /><br />You can not change this ID.<br />This link is set by the site administrator.<br />If you think that this ID is not correct, you should contact the site admin. to have it changed.<br />";
#pgv_lang["edituser_rootid_help"]       = "~#pgv_lang[rootid]#~<br /><br />This is the Root person of all your charts.<br />The Root person is the starting person.<br />If you would click (for example) the link to the Pedigree, then you see this root person in the utmost left box.<br />Of course, this root person does not have to be yourself. You can start with any person, as long you have the rights to see that person.<br />In some charts you can change the Root person, but that is just for those particular pages.<br />";
#pgv_lang["edituser_password_help"]     = "~#pgv_lang[password]#~<br /><br />It is a good practice to change your password at a regular basis.<br />You have to keep in mind that everybody who knows your user name and password, will have access to your data.<br />Make a password of at least 6 characters. The longer the better. You may use all characters of the alphabet, numbers, and any other character you can find on your keyboard.<br /><b>Note:</b> It is better <b>not</b> to use \" (quotes) or ' (single quotes). They might work, but it is not guaranteed.<br /><br /><b>Make a combination of Upper case, lower case, numbers and other characters</b>. For example: 5Z_q\$P4=r9.<br /><br />Like the username, the password is <b>case sensitive</b>. That means that \"Jo5hn\" is not the same as \"jo5hn\" or \"JO5HN\".";
#pgv_lang["edituser_conf_password_help"]= "~#pgv_lang[confirm]#~<br /><br />If you have changed you Password, you need to confirm it as well.<br />This is just to make sure that you did not make a typing error in the password field.<br />If the program sees that the password and confirmation are not similar, you will get this error message: <b>#pgv_lang[password_mismatch]#</b>.<br />Both password field and confirmation will be cleared and you will have to type again the new password in both fields.<br />";
#pgv_lang["edituser_change_lang_help"]  = "~#pgv_lang[change_lang]#~<br /><br />Here you can set a Language as your default language for this site.<br />The program is capable to recognize the <b>Preferred Language Setting</b> of your browser, so in most cases there is no reason to change here your preferred language for the program.<br />However, if for example your browser has English as Preferred Language, but you want to have the <b>Site Language</b> in Dutch or Hebrew, you can change it here.<br />";
#pgv_lang["edituser_email_help"]        = "~#pgv_lang[emailadress]#~<br /><br />Your correct Email Address is, of course, important to us to keep in touch with you.<br />If you get a new email address, for example when you changed your provider, please do not forget to change the address here as well.<br />Maybe you have more than one email address and want to receive your messages from us at another email address, please change it here.<br />";
#pgv_lang["edituser_user_theme_help"]   = "~#pgv_lang[user_theme]#~<br /><br />On this site we have several Themes.<br />You could call it as well \"Site Lay out\". In every Theme you will see the same data, just in another layout.<br />It is like putting a picture in a different frame, and hang the picture in a different room as well. The picture does not change, but the way you look at it, is completely different.<br />Just give it a try. Set it to another theme. Look at it, try another. Change back to the one, that like most.<br />Every time when you log in, the program will give you your \"own\" theme again.<br />";
#pgv_lang["edituser_contact_meth_help"] = "~#pgv_lang[user_contact_method]#~<br />Our mail systems a some different contact methods<br />The contact method of sending mails is set by the site administrator, so you can not change that setting.<br />The contact method of <b>receiving mail</b> can be changed by you.<br />At the moment you can choose 1 out of 4 possible contact methods.";
#pgv_lang["mail_option1_help"]          = "Using this option, the built in PhpGedView messaging system will be used and no e mails will be sent.<br />In this way you will receive only <b>internal messages</b> from the other users.<br />When another user sends you a message from this site, the message will be in your message block or your own MyGedView Page(if you have not removed this block from your page)<br />";
#pgv_lang["mail_option2_help"]          = "This option is like #pgv_lang[messaging]#, with one addition.<br />As an extra, a copy of the message will also be send to your email address, as set in Your Account.<br />This contact method is the default option.<br />";
$pgv_lang["mail_option3_help"]          = "Avec cette option, vous recevrez uniquement les messages vers votre adresse courriel.<br />Vous ne serez pas joignable par la messagerie interne.<br />";
$pgv_lang["mail_option4_help"]          = "Avec cette option, vous ne recevrez aucun message.<br />";

//-- Add user
//$pgv_lang["help_adduser.php"]         = "#pgv_lang[sorry]#";

//-- Admin
#pgv_lang["admin_help"]                 = "On this page you will find all links to the configuration pages, administration pages, documentation, and log files.<br /><br />The <b>System Time</b>, just under the page title is showing the time of the server, on which your site is hosted. The time showed, is the server time when you opened this page (or refreshed it).<br /><br /><b>WARNING</b><br />When you see a warning message under the system time, it means that your <b>config.php</b> is still writeable!<br />After configuring your site, you should, for <b>security</b>, set the permissions of this file back to read-only.<br />You have to do this <b>manualy</b>, since PhpGedView can not do this for you (yet).<br /><br />Apart from the options: Readme, User Manual, and Log File, you will get more help on the pages you choose.";

//-- User Admin
$pgv_lang["useradmin_help"]             = "~#pgv_lang[user_admin]#~<br /><br />On this page you can administer the current users and add new users.<br /><br /><b>Current User List</b><br />In this table the current users, their status and their rights, are displayed.<br />You can <b>delete</b> or <b>edit</b> users.<br /><br /><b>Add a new User Form</b><br />This form is almost the same as you will know from \"Your Account\".<br />For several subjects we did not make special help text for the admin. In those cases you will see the following message:";
$pgv_lang["useradmin_gedcomid_help"]    = "~#pgv_lang[gedcom_id]#~<br /><br />This GEDCOM record ID for the user has to be set by the Administrator.<br />It will identify the user.<br />It will also give the user access to his / her \"My Indi\" and \"My Pedigree\".<br /><br />For each GEDCOM that you are using in this program, you can set the GEDCOM INDI record ID for the user.<br />If a user does not have a record in the GEDCOM, you leave the text box empty.";
$pgv_lang["useradmin_rootid_help"]      = "~#pgv_lang[rootid]#~<br /><br />For each GEDCOM in the program, you can assign a <b>Root Person</b> to a user.<br />Probably the user will like it to start the program with his own Pedigree, but this is not a must.<br /><br />The user can change this setting himself as well in his account.";
$pgv_lang["useradmin_can_admin_help"]   = "~#pgv_lang[can_admin]#~<br /><br />If this box is checked, the user will have the rights, for the program, as you have.<dl><dt>So he / she cannot only:</dt><dd>Add / Remove / Edit Users.</dd><dd>Send messages to all users at once.</dd><dd>Edit Welcome Messages.</dd><dd>Edit and Configure language files.</dd><dt>But also:</dt><dd>Upgrade the Program.</dd><dd>Change Configuration.</dd><dd>Aminister the GEDCOMs.</dd><dd>Change Privacy Settings.</dd><dt>And anything else that is not mentioned here.</dt><dd>But not your site settings, outside this program</dd></dl> ";
$pgv_lang["useradmin_can_edit_help"]    = "~#pgv_lang[can_edit]#~<br /><br />If a box is checked, the user will have the rights, to edit the records of the GEDCOM file, next to that check box.<br /><br />All changes made to the records of a GEDCOM file, have to be <b>approved</b> by you, or another person with <b>Admin Rights</b>. After approval the GEDCOM file needs to be <b>re-imported</b>, to make the changes effective.";
#pgv_lang["useradmin_verified_help"]    = "~USER VERIFIED HIMSELF~<br /><br /><b>Self Registration</b><br />A user can apply for a new account, by means of the <b>self registration</b> module.<br />If he did so, then he will have received an email message with a link to verify his application.<br />If he already did so, you will see the box checked, and you can proceed with the next step: <b>User Approved by Admin</b>.<br />If the user has not verified himself, you should wait with you approval.<br /><br /><b>Add user manually</b><br />If you use the form to add a user manually, you will find this box checked already.";
$pgv_lang["useradmin_verbyadmin_help"]  = "~#pgv_lang[verified_by__admin]#~<br /><br />If a user has used the Self Registration Module and has verified himself, then the last step, before his account will be effective, is your approval.<br /><br />After you approved the application for the new account, the user will receive an email message that his account is effective and that he can loggin with the user name and password, that he used when applying for the account.";
$pgv_lang["useradmin_edit_user_help"]   = "~#pgv_lang[update_user]#~<br /><br />This form is used by the admin to change a user's account<br /><br />The form is rather similar to form \"Add User\" or the form \"My Account\".";
$pgv_lang["useradmin_visibleonline_help"]= "~#pgv_lang[visibleonline]#~<br /><br />Option pour afficher le statut de connexion (en ligne / hors ligne) aux autres utilisateurs. Si la case est cochée, l'utilisateur sera visible. Sinon il restera caché.";
$pgv_lang["useradmin_editaccount_help"] = "~#pgv_lang[editaccount]#~<br /><br />Option pour autoriser la modification de certains paramètres du compte par l'utilisateur.<br /><br />Si la case n'est <b>pas</b> cochée, les modifications seront interdites.<br /><br />Cette fonction permet de créer un compte générique, utilisable par plusieurs personnes, mais en interdisant à chacun de le modifier.";

//-- Upgrade utility
$pgv_lang["how_upgrade_help"]           = "~#pgv_lang[upgrade_util]#~<br /><br />The upgrade utility will take care of upgrading your existing PhpGedView to a new version that you have downloaded.<br /><br /><b>Downloading a new version</b><br />A new version can either directly be downloaded from http://sourceforge.net/projects/phpgedview/ or you can have the upgrade utility check for a new version. If a new version exists it will display the available downloads. This can either be zip or gz file or both.<br /><br /><b>What to upgrade?</b><br />* PhpGedView<br />This will upgrade all core files of PhpGedView excluding config.php, privacy.php and authenticate.php. It also upgrades the images folder.<br />* Index files<br />This upgrades the folder /index. Use this with caution, as any existing file will be overwritten.<br />* Languages<br />This upgrades the /languages folder.<br />* Themes<br />This upgrades the /themes folder. Use this with caution, as any custom made changes to themes will be overwritten.* Configuration file<br />This checks your current configuration file with the new found configuration file and update your current file with 	any new changes found in the new configuration file. This ensures you have the latest file with your own settings.<br />* Privacy file<br />This checks your current privacy file(s) with the new found privacy file and update your current file with any new changes found in the new privacy file. This ensures you have the latest file with your own privacy settings.<br />* Manuals<br />This upgrades the /doc folder.<br />* Researchlog<br />This upgrades the Researchlog plugin.<br />* Create backup<br />This will create a backup copy of the old file in the /backup folder.<br /><br /><b>How to upgrade?</b><br />1. Select the parts you want to upgrade<br />2. Click save<br /><br />The progress will be shown at the bottom.";

//-- G E D C O M
$pgv_lang["add_upload_gedcom_help"]     = "~#pgv_lang[add_gedcom]# / #pgv_lang[upload_gedcom]#~<dl><dt>#pgv_lang[upload_gedcom]#</dt><dd>Le chargement d'un fichier sur le serveur peut se faire directement ici, sans programme de type <tt>ftp</tt>.</dd><dt>#pgv_lang[add_gedcom]#</dt><dd>Quand un GEDCOM est déjà présent sur le serveur, il suffit de le reconfigurer.</dd></dl>Les deux procédures se déroulent très simplement en 4 étapes, seule la première diffère.";
$pgv_lang["gedcom_configfile_help"]     = "~#pgv_lang[inc_config]#~<br /><br />This is the file where all the basic settings a GEDCOM file is stored.<br /><br />In the column \"Configuration File\" on the GEDCOM Adminstration page, the path and name of the configuration file is displayed.";
$pgv_lang["default_gedcom_help"]        = "~GEDCOM par défaut~<br /><br />Si vous avez plusieurs GEDCOM en ligne, vous pouvez en désigner un comme GEDCOM par défaut pour les visiteurs du site ou les utilisateurs non encore connectés.<br /><br />Les utilisateurs autorisés peuvent modifier cette valeur par défaut en changeant les paramètres de leur compte.";
$pgv_lang["delete_gedcom_help"]         = "~Supprimer un fichier GEDCOM~<br /><br />PhpGedView imports records from the GEDCOM file. When you click <b>Delete</b>, the program will erase those records that were imported from the GEDCOM.<br />The actual GEDCOM file will remain in the directy into which it was uploaded.<br /><br />If you later want to work with that GEDCOM file again, you don't have to upload it again. Instead you can then choose the option <b>Add GEDCOM</b>.<br /><br />After clicking Delete, you will have to <b>confirm</b> your choise in a popup dialog.";
//$pgv_lang["edit_gedcom_help"]         = "~EDIT GEDCOM~<br /><br />#pgv_lang[sorry]#";
$pgv_lang["add_gedcom_help"]            = "~#pgv_lang[add_gedcom]#~<br /><br />Cela suppose que le fichier GEDCOM a déjà été chargé sur le serveur, via <tt>ftp</tt> par exemple.<br /><br />Vous serez guidé tout au long de la procédure.";
$pgv_lang["add_new_gedcom_help"]        = "~#pgv_lang[add_new_gedcom]#~<br /><br />You have the option to start a new GEDCOM from scratch.<br /><br />You can finish this procedure in only a few steps. Step 1 is different from what you know already about uploading and adding. The other steps will be familiar.<dl><dt>Step 1: Naming the new gedcom</dt><dd>Type the name of the new GEDCOM without the extention '.ged'. The new file will be created in the directory as indicated above the text field to enter the name.<br />Click <b>Add</b>.</dd><dt>Step 2: Configuration page.</dt><dd>This is the page you already know of configuring the settings for the GEDCOM files.</dd><dt>Step 3: Validate</dt><dd>Also this step you will know already. The new GEDCOM is checked and will be ok.</dd><dt>Step 4: Importing Records</dt><dd>Since there will be only one record to import, this will be finished very fast.</dd><dt>Ready creating.</dt><dd>Now you can go to the Pedigree chart to see your first person in the new GEDCOM. Click the name of the person and start editting. After that you can start adding new individuals to the first person.</dd></dl>";
$pgv_lang["download_gedcom_help"]       = "~#pgv_lang[download_gedcom]#~<br /><br />You have the option to download a GEDCOM file from your site.<br /><br />On the \"Download GEDCOM\" page you have the option to convert the file from <b>UTF-8</b> to <b>ANSI (ISO-8859-1)</b>.<br />Which format you need depends on the program that you want to use to work with the downloaded GEDCOM file.<br />Check the documentation of that program, if you are not sure.";
$pgv_lang["edit_gedcoms_help"]          = "~GEDCOM : Administration~<br /><br />The GEDCOM Administration Page is the control centre for adminstrating your <b>current</b> and <b>new</b> GEDCOM files.<br /><dl><b>CURRENT GEDCOMS</b><br /><dt>In the <b>Current GEDCOMs</b> table you have the following options:</dt><dd>Delete GEDCOM</dd><dd>Edit GEDCOM</dd><dl><dt>Edit Privacy</dt><dd>The Edit Privacy is part of this table as well, since every GEDCOM has it's own privacy file.</dd></dl><dd>Set default GEDCOM</dd><dd>Import GEDCOM</dd><dd>Download GEDCOM</dd><dt>There are 3 colums with the following information:</dt><dd>GEDCOM File</dd><dd>GEDCOM Title</dd><dd>Configuration File</dd></dl><dl><b>NEW GEDCOM FILES</b><dt>On this page you have the following options to add <b>new</b> and / or <b>existing</b> GEDCOM Files to the system.</dt><dd>Add GEDCOM</dd><dd>Upload GEDCOM</dd><dd>Create a New GEDCOM</dd></dl>#pgv_lang[more_help]#<br />";
$pgv_lang["edit_config_gedcom_help"]    = "~GEDCOM : Configuration~<br /><br />Every GEDCOM that you are using with this program, has it's own <b>Configuration file</b>.<br /><br />On this form you set the basic settings like, for example, language, calendar format, email options, etc., etc.<br />";
$pgv_lang["import_gedcom_help"]         = "~#pgv_lang[import_gedcom]#~<br /><br />In most cases Importing of a GEDCOM is one step in a procedure like, for example, adding, adding new, or uploading a GEDCOM.<br /><br />These steps are in a logical sequence and need to be completed, in order to work with the GEDCOM.<br />In case you did not complete the sequence, as described before, you will see a <b>warning</b> message that the GEDCOM is not yet imported. In this case, click the link to (re-)import the GEDCOM file.<br /><br /><b>Importing</b><br />In case <b>on line changes</b> are made to the GEDCOM by your self or by your users, you will have to re-import the GEDCOM, in order to make the changes permanent.<br /><br />The Configuration (settings) of the GEDCOM will not change when you re-import a GEDCOM.<br />Existing data will be over written.";
$pgv_lang["upload_gedcom_help"]         = "~#pgv_lang[upload_gedcom]#~<br /><br />Le chargement d'un fichier sur le serveur peut se faire directement ici, sans programme de type <tt>ftp</tt>.<br /><br />Il suffit de sélectionner un fichier GEDCOM sur votre poste, soit en entrant le chemin complet comme par exemple <tt>C:\\Program Files\\PAF\\famille.ged</tt>, soit en utilisant le sélecteur de fichier sur la page.<br /><br />D'autres textes d'aide seront disponibles pendant le déroulement de la procédure.";
$pgv_lang["validate_gedcom_help"]       = "~#pgv_lang[validate_gedcom]#~<br /><br />Validating the GEDCOM that you are uploading or adding, is step 3 in the procedure to set up the program to work with that file.<br /><br />The program will check the file on the correct use of: Date format, Place format, Character Set, and more.<br />Some of the deviations, found by the program, will be corrected automaticaly. Examples are MacIntosh line endings and incorrect use of Place format.<br />In those cases you will see a message that the program has changed the data.<br />For other deviations you will get a warning message with the provided solution.<br /><br /><b>Optional Tools</b><br />At this moment there are two additonal tools:<br /><b>Change Individual ID to...</b> and <b>Add Media Tool</b>.<br />This last tool is only available in the <b>MySQL</b>-mode. If you have the GEDCOM in the <b>Index</b>-mode, this option will be hidden.<br /><br /><b>More help</b> is available on the form.#pgv_lang[more_help]#<br />";
$pgv_lang["convert_ansi2utf_help"]      = "~#pgv_lang[ansi_to_utf8]#~<br /><br />To make sure that the program handles your GEDCOM files correctly, the files should be encoded in UTF-8.<br /><br />Most third party Genealogy programs have the option to export a GEDCOM file in this UTF-8 encoding.<br />If the program that you are using does not offer you the option, PhpGedView can convert the file for you.<br /><br />When PhpGedview validates the uploaded (or added) file, the program will detect, whether the file is ANSI encoded.";
$pgv_lang["detected_ansi2utf_help"]     = "~Format ANSI~<br /><br />The GEDCOM file that is being validated now, is ANSI encoded.<br />It is strongly recommended that the file encoding will be converted to UTF-8.<br /><br />#pgv_lang[convert_ansi2utf_help]#";
$pgv_lang["detected_date_help"]         = "~#pgv_lang[date_format]#~<br /><b>DATE FORMAT WILL BE CHANGED</b><br /><br />The Date format that is standard for PhpGedview and also according <b>GEDCOM 5.5 standards</b> is: DD MMM YYYY (ie. 01 JAN 2004)<br /><br />If you see, after your GEDCOM file has been validated, a message that a wrong date format has been detected, the program will convert the dates to it's standard.<br /><br />You have, however, the option to choose either \"<b>day</b> before month\" (DD MMM YYYY), or \"<b>month</b> before day\" (MMM DD YYYY).<br />We recommend to leave the proposed setting to the first option.";
$pgv_lang["addmedia_tool_help"]         = "~#pgv_lang[addmedia]#~<br />MySQL mode only</b><br /><br />The Add Media Tool was designed for users whose genealogy programs do not export GEDCOMs with Media links.  Family Tree Maker is the most notorious for this.  <br /><br />The Add Media Tool allows you to keep a list of media links outside of your GEDCOM file and seperate from the normal PhpGedView tables.  Because the data is kept in a seperate table,you only have to enter the data once.  This makes it easy for administrators to work with the genealogical data in their desktop program, export a new GEDCOM file, and then run Add Media tool on it as part of the import process to have the same image links added everytime they make a new GEDCOM.<br /><br />To use the Add Media Tool, first create a list a media items by filling the fields and clicking the Add Media button for each media item you want included in your GEDCOM.  The \"#pgv_lang[gedcomid]#\" field contains the ID of the gedcom record you want the image added to, I100 for example.  In the \"Exernal File\" field, type in the filename of the image you want to use.  Enter the file's extension in the \"#pgv_lang[extension]#\" field.  Use the \"#pgv_lang[highlighted]#\" field to tell whether or not this image is the highlighted or primary image for this individual.  The first highlighted or primary image will be used on charts and highlighted on the individual page next to the person's name.  In the \"#pgv_lang[title]#\" field enter a descriptive title or caption for the image.  Use the \"#pgv_lang[order]#\" field to specify an the order the images should appear on the individual's media tab.  Finally, the \"#pgv_lang[gedcom_file]#\" fields tells which GEDCOM the media item is for.  This allows you to use the tool with multiple GEDCOM files.<br /><br />When the list is completed, click on the \"#pgv_lang[click_to_add_media]#\" button to have the changes stored in the GEDCOM file.  The next time you update your GEDCOM you only need to launch the Add Media Tool and click this button.<br /><br />";
$pgv_lang["change_indi2id_help"]        = "~#pgv_lang[change_id]#~<br /><br />This tool was designed for users whose Genealogy programs use a different GEDCOM ID for the individuals every time the GEDCOM is exported. For example, the first time the GEDCOM is exported some person's ID is I100 but the next time the GEDCOM is exported the same person's ID is I234.  These changing IDs make it difficult to administer PhpGedView because the ID is how people are referenced.<br /><br />However most genealogy programs also use the RIN or REFN tag to give each person a unique identifier that can be used to reference the individual. This tool will replace all of the individual IDs in the GEDCOM file with the value of another field you specify.  You can choose the RIN or the REFN field to replace the IDs with.<br /><br />";
#pgv_lang["edit_privacy_help"]          = "On this page you can make all the Privacy Settings for the chosen gedcom (if you have more than one).<br />You can check under the page title, whether you are editting the correct privacy file.<br />It is displayed like this: (path/nameofyourgedcom_priv.php)<br /><br />If you need more settings, than you can manualy make changes to the privacy file. You can read more about this on the PhpGedView web site.<br />";
$pgv_lang["invalid_header_help"]        = "~En-tête GEDCOM~<br />A GEDCOM file must begin with the first line 0 HEAD.  PhpGedView detected that your GEDCOM does not begin with the first line 0 HEAD.  After you click the cleanup button, any lines before the first 0 HEAD line will be removed from your GEDCOM.<br /><br />This error usually means that the program you used to create your gedcom did not create it properly or it is not a gedcom file.  You should check to make sure that you uploaded the correct GEDCOM file, and that it starts with the line 0 HEAD and ends with the line 0 TRLR.";
$pgv_lang["macfile_detected_help"]      = "~Fichier au format Macintosh~<br />PhpGedView a détecté que votre fichier GEDCOM provient d'un ordinateur Macintosh. Les marqueurs de fin de ligne sont différents sur Macintosh (\r), sur Unix (\n) ou sur Windows (\r\n). Pour être utilisable par PhpGedView, ces caractères vont être modifiés.<br />";
$pgv_lang["cleanup_places_help"]        = "~Correction des lieux~<br />PhpGedView detected that your GEDCOM file uses places on GEDCOM tags that should not have places.  Many genealogy programs, such as Family Tree Maker, will create this type of GEDCOM file.  PhpGedView will work with these gedcom files, but some invalid places will show up in your place hierarchy.  <br /><br />For example, your GEDCOM may have the following encoding<br />1 SSN<br />2 PLAC 123-45-6789<br />According to the GEDCOM specification this should really be shown as<br />1 SSN 123-45-6789<br />If you select Yes, PhpGedView will automatically detect and correct these encoding errors.<br />";
$pgv_lang["empty_lines_detected_help"]  = "~Lignes vides~<br />PhpGedView has detected that there are empty lines in your GEDCOM file.  These lines may cause errors and will be removed from the GEDCOM before it is imported.<br />";
#pgv_lang["skip_cleanup_help"]          = "~SKIP CLEANUP~<br />It is highly reccommended that you allow PGV to cleanup your Gedcom before it is imported, otherwise some of the functions may not work properly.<br /><br />But if you would like, you may click this button to skip the cleanup step and continue importing the Gedcom as it is.<br />";

//-- Edit Config
$pgv_lang["help_editconfig.php"]        = "~#pgv_lang[configure]#~<br /><br />On this page you have to set the global settings for the program, when you have just installed PhpGedView on your server, and are running it for the first time.<br />#pgv_lang[review_readme]#<br /><br />As these settings are <b>global</b>, they are for the whole program and for all GEDCOM files, you are using within the program.<br />For each GEDCOM file you can make seperate settings.<br />Since you are here on the Configuration Page, you can click the link to Administer GEDCOMs, just above the form.<br />From anywhere else in the program, you will find the link in the menu, under the MyGedView Icon.";

//-- GDBI Changes
#pgv_lang["help_gdbi_changes.php"]      = "~#pgv_lang[review_changes]#~<br /><br />The list is clear and simple. Not much explanation needed.<br /><br />The <b>Undo link</b> does not give you a second chance. No new popup for confirmation!.<br /><br />When a user has changed something, and a <b>date</b> is involved, please check whether the date is in the proper format.<br />The date field is a text field, so anything can be entered.<br />Wrong date formats may result in an error message later, somewhere in the program.<br />For more info about dates in the Gedcom, please read the <b>Gedcom Info</b> in the Help menu.<br />";

//-- merge records
$pgv_lang["help_gdbi_merge.php"]        = "~#pgv_lang[merge_records]#~<br /><br />Cette page permet de fusionner 2 enregistrements du même fichier GEDCOM. Utile pour éliminer les doublons après le regroupement de deux fichiers par exemple.<br /><br />L'opération se fait en 3 étapes.<br /><ul><li><b>Etape 1</b> indiquer l'ID des 2 enregistrements (ex: <tt>F23</tt> et <tt>F456</tt>). Ils doivent impérativement être du même type (ie. on ne fusionne pas un individu avec une famille ou une source). Le premier champ contiendra le résultat après sa fusion avec le second, ce dernier sera supprimé.</li><li><b>Etape 2</b> choix des valeurs à conserver en cochant une ou plusieurs cases.</li><li><b>Etape 3</b> affichage du résultat de la fusion. Comme partout ailleurs, il faudra 'Valider' les modifications pour les rendre définitives.</li></ul><br />";

//-- Language Editor
$pgv_lang["lang_edit_help"]             = "Page de gestion des fichiers de langue.<br />Pour traduire, comparer et exporter des fichiers de langue.<br />Et configurer les langues reconnues par le programme.<br /><br />Liste des options et utilitaires :";
$pgv_lang["language_to_edit_help"]      = "#pgv_lang[edit_lang_utility]# >> <b>#pgv_lang[language_to_edit]#</b><br /><br />Liste déroulante pour le choix de la langue à éditer.";
$pgv_lang["file_to_edit_help"]          = "#pgv_lang[edit_lang_utility]# >> <b>#pgv_lang[file_to_edit]#</b><br /><br />Liste déroulante pour le choix du fichier de langue.<br /><br />Options possibles:<br />lang.xx.php<br />facts.xx.php<br />configure_help.xx.php<br />help_text.xx.php<br />rs_lang.xx.php<br /><br />où xx est le code de la langue.<br />'rs_lang.xx.php' n'est disponible que si le module 'research log' est installé.";
$pgv_lang["hide_translated_help"]       = "#pgv_lang[edit_lang_utility]# >> <b>#pgv_lang[hide_translated]#</b><br /><br />Si cette option est à 'oui' vous verrez uniquement les messages non encore traduits dans votre langue.<br />Après ajout d'une nouvelle traduction, le message concerné n'est plus affiché dans cette liste.";
$pgv_lang["language_to_export_help"]    = "#pgv_lang[export_lang_utility]# >> <b>#pgv_lang[language_to_export]#</b><br /><br />Liste déroulante pour le choix de la langue dont on souhaite <b>exporter</b> les messages.";
$pgv_lang["new_language_help"]          = "#pgv_lang[compare_lang_utility]# >> <b>#pgv_lang[new_language]#</b><br /><br />Liste déroulante pour le choix de la première langue dont on souhaite <b>comparer</b> les messages.<br /><br />Tous les changements sont faits en premier pour la langue <b>English</b>.";
$pgv_lang["old_language_help"]          = "#pgv_lang[compare_lang_utility]# >> <b>#pgv_lang[old_language]#</b><br /><br />Liste déroulante pour le choix de la seconde langue dont on souhaite <b>comparer</b> les messages.<br /><br />Cliquer ensuite sur le bouton pour lancer la comparaison et vous obtiendrez une liste de toutes les différences.<br /><br />Précision:<br /><b>Ajout</b> signifie: <b>présent</b> dans le premier fichier, mais <b>absent</b> du second.<br /><br /><b>Suppression</b> signifie: <b>absent</b> du premier fichier (supprimé), mais (toujours) <b>présent</b> dans le second.";
#pgv_lang["add_new_lang_help"]          = "<b>#pgv_lang[add_new_language]#</b><br /><br />With this selection you can add a new language to PhpGedView.<br />You can setup the standard settings of the new language, like: language detection code, language direction, start of the week for this language, time settings, alphabet etc.<br /><br />You will get more help on the settings of a language, supported by PhpGedView, after selecting the language and clicking the \"Add new Language\" button.<br />In the new window for the settings of that language you will see more question marks which will help you.";

//-- report engine
$pgv_lang["help_reportengine.php"]      = "~#pgv_lang[reports]#~<br />PhpGedView utilise un squelette XML pour générer automatiquement un rapport au format PDF.<br /><br />Choisir d'abord un type de rapport dans la liste. Cette liste est générée dynamiquement à partir du contenu du répertoire <tt>reports</tt>. Renseigner ensuite les quelques champs comme le code individu ou le code famille.<br /><br />Pour afficher le résultat dans votre navigateur, cliquer sur <b>#pgv_lang[run_report]#</b>. Pour l'enregistrer sur votre poste, cliquer sur <b>#pgv_lang[download_report]#</b>.<br /><br />Vous pouvez créer vous-même un nouveau modèle en vous inspirant de ceux existant. L'ajouter simplement dans le répertoire <i>'reports'</i> pour qu'il apparaisse dans la liste.";

//-- Help Contents
$pgv_lang["help_contents_head_help"]    = "<b>Sommaire de l'aide</b><br /><br />";
$pgv_lang["help_contents_gedcom_info"]  = "Informations du fichier GEDCOM";
$pgv_lang["help_contents_gedcom_places"]= "Lieux du fichier GEDCOM";

//-- Admin Help Contents Items
$pgv_lang["admin_help_contents_head_help"]= "<b>Sommaire<br /><br /><span class=\"error\"><small>Note : l'aide pour les fonctions <u>administrateur</u> est en début de liste.</small></span></b><br /><br />";
$pgv_lang["ah1_help"]                   = "_Utilitaire de mise à jour des versions";
$pgv_lang["ah2_help"]                   = "_Configurer PhpGedView";
$pgv_lang["ah3_help"]                   = "_GEDCOM: Ajouter vs Charger";
$pgv_lang["ah4_help"]                   = "_GEDCOM: Fichier de Configuration";
$pgv_lang["ah5_help"]                   = "_GEDCOM: Fichier par Défaut";
$pgv_lang["ah6_help"]                   = "_GEDCOM: Suppression";
$pgv_lang["ah7_help"]                   = "_GEDCOM: Ajout";
$pgv_lang["ah8_help"]                   = "_GEDCOM: Création";
$pgv_lang["ah9_help"]                   = "_GEDCOM: Réception (download)";
$pgv_lang["ah10_help"]                  = "_GEDCOM: Administration";
$pgv_lang["ah11_help"]                  = "_GEDCOM: Configuration";
$pgv_lang["ah12_help"]                  = "_GEDCOM: Import";
$pgv_lang["ah13_help"]                  = "_GEDCOM: Envoi sur serveur (upload)";
$pgv_lang["ah14_help"]                  = "_GEDCOM: Validation";
$pgv_lang["ah15_help"]                  = "_GEDCOM: Conversion ANSI en UTF-8";
$pgv_lang["ah16_help"]                  = "_GEDCOM: Règles de confidentialité";
$pgv_lang["ah17_help"]                  = "_Gestion des utilisateurs";
$pgv_lang["ah18_help"]                  = "_Administration";
$pgv_lang["ah19_help"]                  = "_GEDCOM: Outils Media";
$pgv_lang["ah20_help"]                  = "_GEDCOM: Conversion ID en RIN";
$pgv_lang["ah21_help"]                  = "_Fichiers de langues";
//           22 is in the help_text_vars.php

?>
